Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 162420 - java.net.ConnectException: Connection refused: connect
java.net.ConnectException: Connection refused: connect
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: Debugger
6.x
All All
: P2 with 1 vote (vote)
: 6.x
Assigned To: Erno Mononen
issues@ruby
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 17:00 UTC by Oleg Khokhlov
Modified: 2009-12-25 07:27 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.46 KB, text/plain)
2009-04-10 17:00 UTC, Oleg Khokhlov
Details
stacktrace (1.46 KB, text/plain)
2009-04-24 15:12 UTC, Oleg Khokhlov
Details
log with detailed logging (49.05 KB, text/plain)
2009-05-12 14:13 UTC, Oleg Khokhlov
Details
tester app (2.31 KB, application/octet-stream)
2009-05-22 09:13 UTC, Erno Mononen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Khokhlov 2009-04-10 17:00:20 UTC
Build: NetBeans IDE Dev (Build 200904100201)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows XP, 5.1, x86

User Comments:
ovk: Debug-> Attach Debugger (js) and incorrect url entered

jemmyw: Running jruby application in debug mode

GUEST: debugging a cucumber test using ruby-debug



Stacktrace: 
org.rubyforge.debugcommons.RubyDebuggerException: Cannot connect to the debugged process in 15s:

[Remote Process at localhost:7000]
        at org.rubyforge.debugcommons.RubyDebuggerProxy.failWithInfo(RubyDebuggerProxy.java:527)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:502)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.getCommandSocket(RubyDebuggerProxy.java:319)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attachToRubyDebug(RubyDebuggerProxy.java:161)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:124)
        at org.netbeans.modules.ruby.debugger.RubyDebugger.attach(RubyDebugger.java:161)
Comment 1 Oleg Khokhlov 2009-04-10 17:00:30 UTC
Created attachment 79911 [details]
stacktrace
Comment 2 Oleg Khokhlov 2009-04-24 15:12:00 UTC
Build: NetBeans IDE Dev (Build 200904240201)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Windows XP, 5.1, x86

User Comments: 
trying to start/stop debugger

Stacktrace: 
org.rubyforge.debugcommons.RubyDebuggerException: Cannot connect to the debugged process in 15s:

[Remote Process at localhost:7000]
        at org.rubyforge.debugcommons.RubyDebuggerProxy.failWithInfo(RubyDebuggerProxy.java:527)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:502)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.getCommandSocket(RubyDebuggerProxy.java:319)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attachToRubyDebug(RubyDebuggerProxy.java:161)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:124)
        at org.netbeans.modules.ruby.debugger.RubyDebugger.attach(RubyDebugger.java:161)
Comment 3 Oleg Khokhlov 2009-04-24 15:12:09 UTC
Created attachment 80861 [details]
stacktrace
Comment 4 kiyo_h76 2009-05-01 10:54:02 UTC
i cannot star/stop debugger. and cannot do contact to debugger.(its default.host: localhost, port: 7000, timeout: 15)
is my operation wrong?
Comment 5 kiyo_h76 2009-05-05 16:20:07 UTC
its seems that 'rdebug-ide' process is not runnig from tool bar buttom on Netbeans.
please teach me if i misunderstand it what i do.

---

java.net.ConnectException: Connection refused: connect
	at java.net.PlainSocketImpl.socketConnect(Native Method)
	at java.net.PlainSocketImpl.doConnect(Unknown Source)
	at java.net.PlainSocketImpl.connectToAddress(Unknown Source)
	at java.net.PlainSocketImpl.connect(Unknown Source)
	at java.net.SocksSocketImpl.connect(Unknown Source)
	at java.net.Socket.connect(Unknown Source)
	at java.net.Socket.connect(Unknown Source)
	at java.net.Socket.<init>(Unknown Source)
	at java.net.Socket.<init>(Unknown Source)
	at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:494)
Caused: org.rubyforge.debugcommons.RubyDebuggerException: Cannot connect to the debugged process in 15s:

Error Output: 
C:/Ruby/bin/rdebug-ide:19:in `load': C:/Ruby/lib/ruby/gems/1.9.1/gems/ruby-debug-ide-0.4.4/bin/rdebug-ide:26: syntax
error, unexpected '.', expecting '|' (SyntaxError)
...r remote debugging") {|options.host|}
...                               ^
C:/Ruby/lib/ruby/gems/1.9.1/gems/ruby-debug-ide-0.4.4/bin/rdebug-ide:27: syntax error, unexpected '.', expecting '|'
...r remote debugging") {|options.port|}
...                               ^
	from C:/Ruby/bin/rdebug-ide:19:in `<main>'

	at org.rubyforge.debugcommons.RubyDebuggerProxy.failWithInfo(RubyDebuggerProxy.java:527)
	at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:510)
	at org.rubyforge.debugcommons.RubyDebuggerProxy.getCommandSocket(RubyDebuggerProxy.java:319)
	at org.rubyforge.debugcommons.RubyDebuggerProxy.attachToRubyDebug(RubyDebuggerProxy.java:161)
	at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:124)
	at org.netbeans.modules.ruby.debugger.RubyDebugger.debug(RubyDebugger.java:139)
Caused: java.lang.RuntimeException
	at org.netbeans.modules.ruby.debugger.RubyDebugger.debug(RubyDebugger.java:149)
	at org.netbeans.modules.ruby.platform.execution.RubyProcessCreator.call(RubyProcessCreator.java:121)
	at org.netbeans.modules.ruby.platform.execution.RubyProcessCreator.call(RubyProcessCreator.java:66)
	at org.netbeans.api.extexecution.ExecutionService$3.call(ExecutionService.java:254)
	at org.netbeans.api.extexecution.ExecutionService$3.call(ExecutionService.java:230)
	at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
	at java.util.concurrent.FutureTask.run(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
[catch] at java.lang.Thread.run(Unknown Source)
Comment 6 kiyo_h76 2009-05-05 16:39:26 UTC
maybe ruby-1.9.1-p0 mismatch rdebug version that Netbeans require.
when this case, what should i do?
Comment 7 Exceptions Reporter 2009-05-08 09:08:48 UTC
This issue already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=144975
Comment 8 Erno Mononen 2009-05-12 12:34:38 UTC
> maybe ruby-1.9.1-p0 mismatch rdebug version that Netbeans require.

ruby-debug-ide 0.4.5 fixes at least some syntax error issues, please try upgrading to that (check http://rubyforge.org/
projects/debug-commons/).
Comment 9 Erno Mononen 2009-05-12 12:43:54 UTC
Could anyone here who has experienced this with Ruby 1.8 please provide more details in order to be able to reproduce 
this? Please turn on detailed logging as described at http://wiki.netbeans.org/RubyDebugging#section-RubyDebugging-
HowToFileABug (note that if you use 6.7 it is enough to just go to Options -> Misc -> Ruby and check the both logging 
related check boxes). Also, it would be very helpful if you try these steps:
http://wiki.netbeans.org/RubyDebugging#section-RubyDebugging-CheckingDebuggerEngineFunctionality

Without detailed logs I can't unfortunately do much about this issue as there are a number of things that may cause a 
connection to be refused (e.g. firewall, incorrect url etc.). 
Comment 10 Oleg Khokhlov 2009-05-12 14:12:25 UTC
I can reproduce it with 20090512
- start new IDE;
- create new Ruby app;
- Debug->Attach debugger->OK
Comment 11 Oleg Khokhlov 2009-05-12 14:13:35 UTC
Created attachment 81963 [details]
log with detailed logging
Comment 12 Erno Mononen 2009-05-12 14:35:55 UTC
Thanks. So in that case there is no processes running where the debugger could attach to; I'll just need to suppress 
the exception dialog. That is not the case for every report here though, so I'll have to handle that as a separate 
issue since the ex reporter would just keep reopening this one.
Comment 13 tuping 2009-05-12 17:08:49 UTC
Hello Everybody,

With Netebeans 6.5 on an Ubuntu 8.10 Laptop the debug works.

But, I've installed Ubuntu 9.04, compiled ruby 1.8.6 and tried the debug with Netbeans 6.5 and 6.7. Both don't work.

To reproduce the problem, I think the easiest way is to install a fresh Ubuntu 9.04 and try debugging Ruby 1.8.6 on
Netbeans. Either 6.5 or 6.7 don't work.

I hope this information could be helpful because this bug is really a major issue for all Ruby developers on a new
Ubuntu distribution. 
Comment 14 Quality Engineering 2009-05-13 07:41:46 UTC
Integrated into 'main-golden', will be available in build *200905130201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f6376d3112df
User: Erno Mononen <emononen@netbeans.org>
Log: #162420: java.net.ConnectException: Connection refused: connect
- does not fix the root cause, just avoids popping up the exception dialog (a message dialog gets displayed in any case)
Comment 15 Erno Mononen 2009-05-13 14:48:06 UTC
Hi Tuping, 

Can you please try these steps: 

http://wiki.netbeans.org/RubyDebugging#section-RubyDebugging-CheckingDebuggerEngineFunctionality

And let us know whether debugging from the command line works? This would help in narrowing down the possible culprit.
Comment 16 tuping 2009-05-13 16:10:04 UTC
It works. I've forgotten to mention that the debug is working in "line command" mode...

If you need any information, please ask me. I'm looking forward to use the debugger on my RoR projects again.
Comment 17 Erno Mononen 2009-05-14 13:08:06 UTC
tuping, can you please reproduce the issue and attach the log file with detailed logging turned on (pls see http://
wiki.netbeans.org/RubyDebugging#section-RubyDebugging-HowToFileABug for instructions)?
Comment 18 Erno Mononen 2009-05-14 13:09:11 UTC
btw, ovk's case should be fixed now.
Comment 19 Oleg Khokhlov 2009-05-14 13:35:22 UTC
confirm for my case.
get error message and no exception in 20090514 .
Comment 20 tuping 2009-05-14 15:20:17 UTC
Here the log:

-------------------------------------------------------------------------------
>Log Session: Thursday, May 14, 2009 11:18:34 AM BRT
>System Info: 
  Product Version         = NetBeans IDE 6.7 Beta (Build 200904242137)
  Operating System        = Linux version 2.6.28-11-generic running on i386
  Java; VM; Vendor        = 1.6.0_13; Java HotSpot(TM) Client VM 11.3-b02; Sun Microsystems Inc.
  Runtime                 = Java(TM) SE Runtime Environment 1.6.0_13-b03
  Java Home               = /usr/lib/jvm/java-6-sun-1.6.0.13/jre
  System Locale; Encoding = en (nb); UTF-8
  Home Directory          = /home/rodrigo
  Current Directory       = /home/rodrigo
  User Directory          = /home/rodrigo/.netbeans/6.7beta
  Installation            = /home/rodrigo/netbeans-6.7beta/nb6.7
                            /home/rodrigo/netbeans-6.7beta/ide11
                            /home/rodrigo/netbeans-6.7beta/webcommon1
                            /home/rodrigo/netbeans-6.7beta/websvccommon1
                            /home/rodrigo/netbeans-6.7beta/ruby2
                            /home/rodrigo/netbeans-6.7beta/platform10
  Boot & Ext. Classpath   =
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/resources.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/rt.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/jsse.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/jce.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/charsets.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/classes:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/ext/sunpkcs11.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/ext/sunjce_provider.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/ext/dnsns.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/ext/localedata.jar
  Application Classpath   =
/home/rodrigo/netbeans-6.7beta/platform10/lib/boot.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/org-openide-modules.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/org-openide-util.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/boot_ja.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/boot_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/boot_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-modules_ja.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-modules_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-modules_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-util_ja.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-util_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-util_zh_CN.jar
  Startup Classpath       =
/home/rodrigo/netbeans-6.7beta/platform10/core/org-openide-filesystems.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/core.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/org-openide-filesystems_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/core_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/org-openide-filesystems_ja.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/core_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/org-openide-filesystems_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/core_ja.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/org-netbeans-upgrader.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/core_nb.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/core_nb_ja.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/org-netbeans-upgrader_ja.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/org-netbeans-upgrader_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/org-netbeans-upgrader_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/core_nb_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/core_nb_pt_BR.jar
-------------------------------------------------------------------------------
WARNING: LibraryDeclarationHandlerImpl: Cannot create library: jaxb of unknown type: j2se
WARNING: LibraryDeclarationHandlerImpl: Cannot create library: MySQLDriver of unknown type: j2se
WARNING: LibraryDeclarationHandlerImpl: Cannot create library: PostgreSQLDriver of unknown type: j2se
INFO [org.netbeans.core.startup.NbEvents]: Turning on modules:
        org.openide.util [7.22.1.1 1 200904242137]
        org.openide.modules [7.10.1 200904242137]
        org.openide.awt [7.7.1.1 200904242137]
        org.jdesktop.layout/1 [1.7.1.103 103 200904242137]
        org.netbeans.api.progress/1 [1.13.1.1 1 200904242137]
        org.openide.dialogs [7.10.1 200904242137]
        org.netbeans.swing.outline [1.4.1 200904242137]
        org.openide.nodes [7.9.1.1 200904242137]
        org.openide.explorer [6.18.1.1 1 200904242137]
        org.openide.windows [6.26.1 200904242137]
        org.openide.filesystems [7.21.1.1.1 1 200904242137]
        org.netbeans.modules.editor.mimelookup/1 [1.11.1 200904242137]
        org.openide.text [6.22.1 200904242137]
        org.openide.actions [6.9.1.1 200904242137]
        org.netbeans.bootstrap/1 [2.18.1 200904242137]
        org.netbeans.core.startup/1 [1.15.1.1 200904242137]
        org.netbeans.spi.quicksearch [1.1.1 200904242137]
        org.netbeans.modules.queries/1 [1.14.1 200904242137]
        org.openide.loaders [7.5.1 200904242137]
        org.openide.io [1.16.1 200904242137]
        org.netbeans.swing.plaf [1.9.1 200904242137]
        org.netbeans.core/2 [3.11.1.1 200904242137]
        org.netbeans.modules.options.api/1 [1.12.1 200904242137]
        org.netbeans.api.xml/1 [1.17.1 200904242137]
        org.netbeans.modules.projectapi/1 [1.24.1 200904242137]
        org.netbeans.modules.projectuiapi/1 [1.34.1.6 6 200904242137]
        org.netbeans.modules.xml.core/2 [1.16.1.4 4 200904242137]
        org.netbeans.modules.editor.util/1 [1.28.1 200904242137]
        org.netbeans.modules.lexer/2 [1.30.1.1 1 200904242137]
        org.netbeans.modules.editor.settings/1 [1.24.1 200904242137]
        org.netbeans.modules.editor.lib2/1 [1.10.1.2 2 200904242137]
        org.netbeans.modules.editor.fold/1 [1.10.1 200904242137]
        org.netbeans.modules.editor.lib/1 [1.37.1.8.2 8 200904242137]
        org.netbeans.modules.editor.errorstripe.api/1 [2.6.1.1 1 200904242137]
        org.netbeans.modules.editor.errorstripe/2 [2.6.1.1.1 1 200904242137]
        org.netbeans.modules.javahelp/1 [2.12.1 200904242137]
        org.openidex.util/3 [3.20.1 200904242137]
        org.netbeans.swing.tabcontrol [1.15.1 200904242137]
        org.netbeans.modules.editor.indent/2 [1.12.1.8 200904242137]
        org.netbeans.modules.editor/3 [1.42.1.3.8.2 3 200904242137]
        org.netbeans.modules.options.keymap [1.5.1 200904242137]
        org.netbeans.modules.editor.settings.storage/1 [1.19.1 200904242137]
        org.netbeans.modules.options.editor/1 [1.12.1 200904242137]
        org.netbeans.modules.diff/1 [1.21.1.42.1 42 200904242137]
        org.netbeans.modules.editor.completion/1 [1.14.1.1 1 200904242137]
        org.netbeans.spi.editor.hints/0 [1.7.1.7.2 7 200904242137]
        org.netbeans.modules.editor.codetemplates/1 [1.11.1.1 1 200904242137]
        org.netbeans.libs.lucene/1 [2.5.1.232 232 200904242137]
        org.openide.execution [1.13.1 200904242137]
        org.netbeans.api.java.classpath/1 [1.19.1 200904242137]
        org.netbeans.modules.parsing.api [1.12.1.1 1 200904242137]
        org.netbeans.core.ui/1 [1.14.1.1 200904242137]
        org.netbeans.modules.jumpto/1 [1.8.1 200904242137]
        org.netbeans.api.annotations.common/1 [1.0.1 200904242137]
        org.netbeans.modules.editor.guards/1 [1.3.1 200904242137]
        org.netbeans.modules.refactoring.api [1.5.1 200904242137]
        org.netbeans.spi.tasklist/1 [1.4.1.1 1 200904242137]
        org.netbeans.spi.navigator/1 [1.8.1 200904242137]
        org.netbeans.modules.csl.api/1 [1.9.1.1.1.1.1 1 200904242137]
        org.netbeans.modules.xml.lexer [1.4.1 200904242137]
        org.netbeans.modules.editor.structure/1 [1.18.1.1 1 200904242137]
        org.netbeans.modules.editor.bracesmatching/0 [1.7.1 200904242137]
        org.netbeans.modules.xml.text/2 [1.17.1.5 5 200904242137]
        org.netbeans.libs.ini4j/1 [1.4.1 200904242137]
        org.netbeans.modules.autoupdate.services [1.8.1 200904242137]
        org.netbeans.modules.autoupdate.ui [1.7.1 200904242137]
        org.netbeans.modules.autoupdate.pluginimporter [0.1.1 200904242137]
        org.netbeans.modules.ruby.rakeproject/1 [0.15.1 200904242137]
        org.netbeans.libs.bytelist/1 [0.2.1.1 1 200904242137]
        org.netbeans.libs.yydebug/1 [1.1.1.1 1 200904242137]
        org.netbeans.libs.jrubyparser/1 [1.1.1.1 1 200904242137]
        org.netbeans.modules.extexecution/2 [1.14.1 200904242137]
        org.netbeans.modules.ruby.platform/1 [1.6.2 200904242137]
        org.netbeans.modules.ruby/1 [1.0.1 200904242137]
        org.netbeans.modules.html.lexer/1 [1.4.1 200904242137]
        org.netbeans.modules.css.editor/1 [1.3.1 200904242137]
        org.netbeans.modules.html.editor.lib/1 [1.9.1 200904242137]
        org.netbeans.modules.html.editor/1 [1.12.1 200904242137]
        org.netbeans.libs.jna/1 [1.2.1 200904242137]
        org.netbeans.libs.jvyamlb/1 [0.3.1.23 023 200904242137]
        org.jruby/1 [0.115.1 200904242137]
        org.netbeans.modules.ruby.rhtml/1 [0.64.1.1 200904242137]
        org.netbeans.core.ide/1 [1.15.1 200904242137]
        org.netbeans.modules.server/0 [1.4.1 200904242137]
        org.netbeans.modules.web.client.tools.api [1.1.1 200904242137]
        org.netbeans.modules.gototest/1 [1.3.1 200904242137]
        org.netbeans.modules.gsf.codecoverage [1.0.1 200904242137]
        org.netbeans.modules.ruby.codecoverage [1.0.1 200904242137]
        org.netbeans.modules.ruby.project/1 [1.5.1 200904242137]
        org.netbeans.libs.swingx/1 [1.1.1 200904242137]
        org.netbeans.modules.classfile/1 [1.22.1 200904242137]
        org.netbeans.modules.db.metadata.model/0 [0.3.1 200904242137]
        org.netbeans.modules.db/1 [1.31.1.30 30 200904242137]
        org.netbeans.modules.db.dataview [1.1.1 200904242137]
        org.netbeans.core.output2/1 [1.11.1.1 1 200904242137]
        org.netbeans.modules.db.core [1.8.1 200904242137]
        org.netbeans.modules.dbapi [1.8.1.30 200904242137]
        org.netbeans.modules.db.mysql [0.2.1.2 2 200904242137]
        org.netbeans.modules.ruby.railsprojects/1 [1.1.1 200904242137]
        org.netbeans.modules.glassfish.common/0 [1.0.1 200904242137]
        org.jruby.distro/1 [0.115.1 200904242137]
        org.netbeans.modules.glassfish.jruby/0 [1.0.1 200904242137]
        org.netbeans.modules.masterfs/2 [2.16.1 200904242137]
        org.netbeans.modules.versioning/1 [1.10.1.1.42.1 1 200904242137]
        org.netbeans.modules.settings/1 [1.18.1.1 200904242137]
        org.netbeans.core.windows/2 [2.14.1.1 200904242137]
        org.netbeans.modules.xml.xam/1 [1.5.1.1 1 200904242137]
        org.netbeans.modules.xml.schema.model/1 [1.5.1.1 1 200904242137]
        org.netbeans.modules.xml.axi [1.5.1 200904242137]
        org.netbeans.modules.xml.xdm/1 [1.5.1.1 1 200904242137]
        org.apache.xml.resolver [1.6.1.12 12 200904242137]
        org.netbeans.modules.xml.retriever/1 [1.4.1 200904242137]
        org.netbeans.modules.xml [1.3.1 200904242137]
        org.netbeans.spi.palette/1 [1.15.1 200904242137]
        org.netbeans.libs.jsr223/1 [1.9.1.6 6 200904242137]
        org.netbeans.modules.templates [1.4.1 200904242137]
        org.netbeans.modules.html/1 [1.25.1 200904242137]
        org.netbeans.modules.websvc.saas.services.twitter [1.2.1 200904242137]
        org.netbeans.libs.xerces/1 [1.13.1.280 280 200904242137]
        org.mozilla.rhino.patched/1 [1.104.1 200904242137]
        org.netbeans.modules.javascript.editing/1 [0.87.1 200904242137]
        org.netbeans.modules.javascript.refactoring/1 [0.62.1 200904242137]
        org.netbeans.modules.websvc.saas.services.yahoo [1.2.1 200904242137]
        org.netbeans.modules.xml.wsdl.model/1 [1.5.1.1 1 200904242137]
        org.netbeans.modules.xml.catalog/2 [1.15.1.4 4 200904242137]
        org.netbeans.libs.jaxb/1 [1.4.1 200904242137]
        org.netbeans.modules.websvc.jaxwsmodelapi/1 [1.1.1 200904242137]
        org.netbeans.modules.project.libraries/1 [1.20.1 200904242137]
        org.netbeans.modules.websvc.saas.api [1.2.1 200904242137]
        org.netbeans.modules.db.sql.editor [1.9.1.30 200904242137]
        org.netbeans.api.visual [2.18.1 200904242137]
        org.netbeans.modules.db.sql.visualeditor/1 [2.4.1.30 200904242137]
        org.netbeans.modules.db.drivers [1.3.1 200904242137]
        org.netbeans.swing.dirchooser [1.3.1 200904242137]
        org.netbeans.modules.editor.bookmarks/1 [1.7.1 200904242137]
        org.netbeans.modules.javascript.hints/1 [0.37.1 200904242137]
        org.netbeans.modules.javascript.kit/1 [0.105.1 200904242137]
        org.netbeans.modules.xml.tax/2 [1.17.1.280 200904242137]
        org.netbeans.modules.xml.tools/2 [1.17.1 200904242137]
        org.netbeans.modules.xml.schema.completion [1.3.1 200904242137]
        org.netbeans.modules.properties/1 [1.27.1 200904242137]
        org.netbeans.modules.editor.plain.lib/1 [1.7.1 200904242137]
        org.netbeans.modules.web.flyingsaucer/1 [1.3.1.1 1 200904242137]
        org.netbeans.modules.css.visual/1 [2.4.1 200904242137]
        org.netbeans.modules.servletapi/1 [1.14.1 200904242137]
        org.netbeans.modules.httpserver/2 [2.10.1.42 42 200904242137]
        org.netbeans.modules.xsl/1 [1.17.1 200904242137]
        org.netbeans.modules.languages.manifest [1.6.1 200904242137]
        org.netbeans.modules.languages.diff [1.7.1 200904242137]
        org.netbeans.modules.image/1 [1.22.1 200904242137]
        org.netbeans.modules.editor.kit [1.3.1 200904242137]
        org.netbeans.modules.sendopts/2 [2.4.1 200904242137]
        org.netbeans.modules.utilities/1 [1.30.1 200904242137]
        org.netbeans.modules.tasklist.ui/1 [1.3.1.1 200904242137]
        org.netbeans.modules.tasklist.todo/1 [1.4.1.1 1 200904242137]
        org.netbeans.modules.tasklist.projectint/1 [1.3.1 200904242137]
        org.netbeans.modules.tasklist.kit [1.3.1 200904242137]
        org.netbeans.modules.usersguide/1 [1.23.1 200904242137]
        org.netbeans.modules.print.editor [7.0.1 200904242137]
        org.netbeans.core.execution/1 [1.13.1.1 200904242137]
        org.netbeans.modules.favorites/1 [1.15.1 200904242137]
        org.netbeans.modules.projectui [1.16.1.1.6 1 200904242137]
        org.netbeans.modules.editor.plain/2 [1.8.1 200904242137]
        org.netbeans.modules.print [7.0.1 200904242137]
        org.netbeans.modules.core.kit [1.3.1 200904242137]
        org.netbeans.modules.editor.macros/0 [1.3.1.1.8 1 200904242137]
        org.netbeans.modules.extbrowser/1 [1.14.1 200904242137]
        org.netbeans.modules.defaults/1 [1.6.1 200904242137]
        org.netbeans.modules.ide.kit [1.6.1 200904242137]
        org.netbeans.modules.db.kit [1.4.1 200904242137]
        org.netbeans.lib.uihandler [1.17.1 200904242137]
        org.netbeans.modules.uihandler [2.7.1 200904242137]
        org.netbeans.modules.hudson [1.0.1 200904242137]
        org.netbeans.modules.hudson.subversion [1.0.1 200904242137]
        org.netbeans.modules.hudson.mercurial [1.0.1 200904242137]
        org.netbeans.modules.utilities.project/1 [1.10.1 200904242137]
        org.kxml2/1 [1.3.1 200904242137]
        org.netbeans.core.nativeaccess/1 [1.2.1 200904242137]
        org.netbeans.modules.properties.syntax/1 [1.21.1 200904242137]
        org.netbeans.modules.kenai [0.1.1 200904242137]
        org.netbeans.libs.smack [3.1.1 200904242137]
        org.netbeans.modules.versioning.util [1.4.1.42.1 200904242137]
        org.netbeans.modules.mercurial [1.8.2.42.1 200904242137]
        org.netbeans.libs.svnClientAdapter/1 [1.6.1 200904242137]
        org.netbeans.modules.subversion [1.5.2.42.1 200904242137]
        org.netbeans.modules.kenai.ui [0.1.1 200904242137]
        org.netbeans.modules.kenai.collab [1.0.1 200904242137]
        org.netbeans.modules.web.client.tools.firefox.extension [1.1.1 200904242137]
        org.netbeans.libs.commons_codec/1 [1.0.1 200904242137]
        org.netbeans.libs.commons_logging/1 [1.8.1.11 11 200904242137]
        org.netbeans.libs.bugtracking [1.0.1.1 1 200904242137]
        org.netbeans.modules.lexer.nbbridge/1 [1.5.1.1 200904242137]
        org.netbeans.modules.reglib [1.3.1 200904242137]
        org.netbeans.modules.uihandler.exceptionreporter [1.3.1 200904242137]
        org.netbeans.api.debugger/1 [1.17.1 200904242137]
        org.netbeans.spi.viewmodel/2 [1.17.1 200904242137]
        org.netbeans.spi.debugger.ui/1 [2.16.1 200904242137]
        org.netbeans.modules.websvc.saas.services.flickr [1.2.1 200904242137]
        org.netbeans.lib.cvsclient/1 [1.18.1 200904242137]
        org.netbeans.libs.jsch/1 [1.8.1.139 0139 200904242137]
        org.netbeans.modules.versioning.system.cvss/1 [1.12.1.1.42.1 1 200904242137]
        org.netbeans.modules.websvc.saas.services.strikeiron [1.2.1 200904242137]
        org.netbeans.modules.bugtracking [1.0.1 200904242137]
        org.netbeans.upgrader [4.9.1 200904242137]
        org.netbeans.modules.welcome/1 [1.15.1 200904242137]
        org.netbeans.modules.registration [1.2.1 200904242137]
        org.netbeans.modules.ide.branding/1 [1.7.1 200904242137]
        org.netbeans.modules.ide.branding.kit [1.3.1 200904242137]
        org.netbeans.modules.ruby.refactoring/1 [0.62.1 200904242137]
        org.netbeans.modules.websvc.saas.services.zvents [1.2.1 200904242137]
        org.netbeans.libs.freemarker/1 [2.6.1.238 238 200904242137]
        org.netbeans.core.multiview/1 [1.13.1 200904242137]
        org.netbeans.modules.gsf.testrunner [1.7.1 200904242137]
        org.netbeans.modules.editor.mimelookup.impl/1 [1.4.1 200904242137]
        org.netbeans.core.io.ui/1 [1.1.1.1 1 200904242137]
        org.netbeans.modules.websvc.saas.services.delicious [1.2.1 200904242137]
        org.rubyforge.debugcommons/0 [1.37.1 200904242137]
        org.netbeans.modules.ruby.debugger [0.104.1 200904242137]
        org.netbeans.modules.updatecenters/1 [1.14.1 200904242137]
        org.netbeans.libs.bugzilla [1.0.1 200904242137]
        org.netbeans.modules.websvc.saas.services.amazon [1.2.1 200904242137]
        org.netbeans.modules.web.client.tools.common [1.1.1 200904242137]
        org.netbeans.modules.web.client.tools.firefox [1.1.1 200904242137]
        org.netbeans.modules.web.client.tools.internetexplorer [1.1.1 200904242137]
        org.netbeans.modules.websvc.saas.ui [1.2.1 200904242137]
        org.netbeans.modules.websvc.saas.services.zillow [1.2.1 200904242137]
        org.netbeans.modules.ruby.help [0.8.1 200904242137]
        org.netbeans.modules.bugzilla [1.0.1 200904242137]
        org.netbeans.modules.bugtracking.bridge [1.0.1 200904242137]
        org.netbeans.modules.localhistory [1.4.1 200904242137]
        org.netbeans.modules.ruby.samples.depot/1 [1.3.1 200904242137]
        org.netbeans.modules.ruby.javaint/1 [0.34.1 200904242137]
        org.netbeans.modules.websvc.saas.services.weatherbug [1.2.1 200904242137]
        org.netbeans.modules.websvc.saas.services.google [1.2.1 200904242137]
        org.netbeans.modules.websvc.saas.codegen [1.2.1 200904242137]
        org.netbeans.modules.websvc.saas.services.facebook [1.2.1 200904242137]
        org.netbeans.modules.websvc.saas.kit [1.1.1 200904242137]
        org.netbeans.modules.ruby.testrunner [1.2.1 200904242137]
        org.netbeans.modules.ruby.hints/1 [0.38.1 200904242137]
        org.netbeans.modules.languages.yaml [2.1.1 200904242137]
        org.netbeans.modules.ruby.extrahints/1 [0.41.1 200904242137]
        org.netbeans.modules.ruby.kit/1 [0.105.1 200904242137]
        org.netbeans.modules.web.client.tools.impl [1.1.1 200904242137]
        org.netbeans.modules.team.kit [1.0.1 200904242137]
        org.netbeans.modules.progress.ui [1.3.1.1 200904242137]
        org.netbeans.modules.web.client.tools.kit [1.1.1 200904242137]
INFO [org.netbeans.modules.mercurial]: Could not load the file /home/rodrigo/.hgrc. Falling back on hg defaults.
SEVERE [org.netbeans.modules.mercurial]: execEnv():  execEnv(): IOException java.io.IOException: Cannot run program
"hg": java.io.IOException: error=2, Arquivo ou diretório inexistente
INFO [org.netbeans.libs.svnclientadapter]: Javahl client adapter is not available
Failed to load JavaHL Library.
These are the errors that were encountered:
no libsvnjavahl-1 in java.library.path
no svnjavahl-1 in java.library.path
no svnjavahl in java.library.path
java.library.path =
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386/client:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/../lib/i386:/usr/java/packages/lib/i386:/lib:/usr/lib
INFO [org.netbeans.modules.subversion.client.SvnClientFactory]: Could not setup subversion java bindings. Falling back
on commandline.
INFO [org.netbeans.modules.subversion.client.SvnClientFactory]: running on commandline
Diagnostic information
Input arguments:
        -Djdk.home=/usr/lib/jvm/java-6-sun-1.6.0.13/jre
        -Dnetbeans.system_http_proxy=DIRECT
        -Dnetbeans.system_http_non_proxy_hosts=
       
-Dnetbeans.dirs=/home/rodrigo/netbeans-6.7beta/nb6.7:/home/rodrigo/netbeans-6.7beta/bin/../ergonomics1:/home/rodrigo/netbeans-6.7beta/ide11:/home/rodrigo/netbeans-6.7beta/bin/../java2:/home/rodrigo/netbeans-6.7beta/bin/../xml2:/home/rodrigo/netbeans-6.7beta/bin/../apisupport1:/home/rodrigo/netbeans-6.7beta/webcommon1:/home/rodrigo/netbeans-6.7beta/websvccommon1:/home/rodrigo/netbeans-6.7beta/bin/../enterprise5:/home/rodrigo/netbeans-6.7beta/bin/../mobility8:/home/rodrigo/netbeans-6.7beta/bin/../profiler3:/home/rodrigo/netbeans-6.7beta/ruby2:/home/rodrigo/netbeans-6.7beta/bin/../python1:/home/rodrigo/netbeans-6.7beta/bin/../php1:/home/rodrigo/netbeans-6.7beta/bin/../visualweb2:/home/rodrigo/netbeans-6.7beta/bin/../soa2:/home/rodrigo/netbeans-6.7beta/bin/../identity2:/home/rodrigo/netbeans-6.7beta/bin/../uml6:/home/rodrigo/netbeans-6.7beta/bin/../harness:/home/rodrigo/netbeans-6.7beta/bin/../cnd2:/home/rodrigo/netbeans-6.7beta/bin/../dlight1:/home/rodrigo/netbeans-6.7beta/bin/../groovy1:/home/rodrigo/netbeans-6.7beta/bin/../extra:/home/rodrigo/netbeans-6.7beta/bin/../javafx2:
        -Dnetbeans.home=/home/rodrigo/netbeans-6.7beta/platform10
        -Dnetbeans.importclass=org.netbeans.upgrade.AutoUpgrade
        -Dnetbeans.accept_license_class=org.netbeans.license.AcceptLicense
        -Xmx512m
        -Xverify:none
        -Xss2m
        -Xms32m
        -XX:PermSize=32m
        -XX:MaxPermSize=200m
        -Dnetbeans.logger.console=true
        -ea
        -Dapple.laf.useScreenMenuBar=true
        -Dsun.java2d.noddraw=true
        -XX:+HeapDumpOnOutOfMemoryError
        -XX:HeapDumpPath=/home/rodrigo/.netbeans/6.7beta/var/log/heapdump.hprof
Compiler: HotSpot Client Compiler
Heap memory usage: initial 32.0MB maximum 508.1MB
Non heap memory usage: initial 52.2MB maximum 252.0MB
Garbage collector: Copy (Collections=107 Total time spent=0s)
Garbage collector: MarkSweepCompact (Collections=1 Total time spent=0s)
Classes: loaded=5259 total loaded=5259 unloaded 0
INFO [org.netbeans.core.ui.warmup.DiagnosticTask]: Total memory 3,652,120,576
Comment 21 Erno Mononen 2009-05-14 15:28:32 UTC
It looks like detailed logging is not enabled, can you try following these steps again http://wiki.netbeans.org/
RubyDebugging#section-RubyDebugging-HowToFileABug ? Also, please use the 'crete new attachment' link for attaching the 
log file instead of pasting it to a comment. Thanks!
Comment 22 tuping 2009-05-14 15:28:59 UTC
-------------------------------------------------------------------------------
>Log Session: Thursday, May 14, 2009 11:26:45 AM BRT
>System Info: 
  Product Version         = NetBeans IDE 6.7 Beta (Build 200904242137)
  Operating System        = Linux version 2.6.28-11-generic running on i386
  Java; VM; Vendor        = 1.6.0_13; Java HotSpot(TM) Client VM 11.3-b02; Sun Microsystems Inc.
  Runtime                 = Java(TM) SE Runtime Environment 1.6.0_13-b03
  Java Home               = /usr/lib/jvm/java-6-sun-1.6.0.13/jre
  System Locale; Encoding = pt_BR (nb); UTF-8
  Home Directory          = /home/rodrigo
  Current Directory       = /home/rodrigo/netbeans-6.7beta/bin
  User Directory          = /home/rodrigo/.netbeans/6.7beta
  Installation            = /home/rodrigo/netbeans-6.7beta/nb6.7
                            /home/rodrigo/netbeans-6.7beta/ide11
                            /home/rodrigo/netbeans-6.7beta/webcommon1
                            /home/rodrigo/netbeans-6.7beta/websvccommon1
                            /home/rodrigo/netbeans-6.7beta/ruby2
                            /home/rodrigo/netbeans-6.7beta/platform10
  Boot & Ext. Classpath   =
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/resources.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/rt.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/jsse.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/jce.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/charsets.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/classes:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/ext/sunpkcs11.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/ext/sunjce_provider.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/ext/dnsns.jar:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/ext/localedata.jar
  Application Classpath   =
/home/rodrigo/netbeans-6.7beta/platform10/lib/boot.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/org-openide-modules.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/org-openide-util.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/boot_ja.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/boot_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/boot_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-modules_ja.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-modules_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-modules_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-util_ja.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-util_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/platform10/lib/locale/org-openide-util_zh_CN.jar
  Startup Classpath       =
/home/rodrigo/netbeans-6.7beta/platform10/core/org-openide-filesystems.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/core.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/org-openide-filesystems_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/core_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/org-openide-filesystems_ja.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/core_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/org-openide-filesystems_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/platform10/core/locale/core_ja.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/org-netbeans-upgrader.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/core_nb.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/core_nb_ja.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/org-netbeans-upgrader_ja.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/org-netbeans-upgrader_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/org-netbeans-upgrader_pt_BR.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/core_nb_zh_CN.jar:/home/rodrigo/netbeans-6.7beta/nb6.7/core/locale/core_nb_pt_BR.jar
-------------------------------------------------------------------------------
WARNING: LibraryDeclarationHandlerImpl: Cannot create library: jaxb of unknown type: j2se
WARNING: LibraryDeclarationHandlerImpl: Cannot create library: MySQLDriver of unknown type: j2se
WARNING: LibraryDeclarationHandlerImpl: Cannot create library: PostgreSQLDriver of unknown type: j2se
FINE [org.netbeans.modules.ruby.modules.project.rake.RakeProjectModule]: check for buggy xalan took %d
INFO [org.netbeans.core.startup.NbEvents]: Ativando módulos:
	org.openide.util [7.22.1.1 1 200904242137]
	org.openide.modules [7.10.1 200904242137]
	org.netbeans.modules.reglib [1.3.1 200904242137]
	org.openide.awt [7.7.1.1 200904242137]
	org.openide.filesystems [7.21.1.1.1 1 200904242137]
	org.netbeans.modules.editor.mimelookup/1 [1.11.1 200904242137]
	org.jdesktop.layout/1 [1.7.1.103 103 200904242137]
	org.netbeans.api.progress/1 [1.13.1.1 1 200904242137]
	org.openide.dialogs [7.10.1 200904242137]
	org.openide.nodes [7.9.1.1 200904242137]
	org.openide.windows [6.26.1 200904242137]
	org.openide.text [6.22.1 200904242137]
	org.netbeans.modules.queries/1 [1.14.1 200904242137]
	org.netbeans.swing.outline [1.4.1 200904242137]
	org.openide.explorer [6.18.1.1 1 200904242137]
	org.openide.actions [6.9.1.1 200904242137]
	org.openide.loaders [7.5.1 200904242137]
	org.netbeans.modules.projectapi/1 [1.24.1 200904242137]
	org.netbeans.swing.dirchooser [1.3.1 200904242137]
	org.netbeans.modules.projectuiapi/1 [1.34.1.6 6 200904242137]
	org.netbeans.modules.editor.util/1 [1.28.1 200904242137]
	org.netbeans.modules.lexer/2 [1.30.1.1 1 200904242137]
	org.netbeans.modules.editor.settings/1 [1.24.1 200904242137]
	org.netbeans.modules.editor.lib2/1 [1.10.1.2 2 200904242137]
	org.netbeans.modules.editor.fold/1 [1.10.1 200904242137]
	org.netbeans.modules.editor.lib/1 [1.37.1.8.2 8 200904242137]
	org.openidex.util/3 [3.20.1 200904242137]
	org.netbeans.swing.tabcontrol [1.15.1 200904242137]
	org.netbeans.modules.editor.indent/2 [1.12.1.8 200904242137]
	org.netbeans.modules.editor/3 [1.42.1.3.8.2 3 200904242137]
	org.netbeans.modules.editor.bookmarks/1 [1.7.1 200904242137]
	org.netbeans.modules.editor.settings.storage/1 [1.19.1 200904242137]
	org.netbeans.libs.lucene/1 [2.5.1.232 232 200904242137]
	org.openide.io [1.16.1 200904242137]
	org.openide.execution [1.13.1 200904242137]
	org.netbeans.api.java.classpath/1 [1.19.1 200904242137]
	org.netbeans.modules.parsing.api [1.12.1.1 1 200904242137]
	org.netbeans.bootstrap/1 [2.18.1 200904242137]
	org.netbeans.core.startup/1 [1.15.1.1 200904242137]
	org.netbeans.spi.quicksearch [1.1.1 200904242137]
	org.netbeans.swing.plaf [1.9.1 200904242137]
	org.netbeans.core/2 [3.11.1.1 200904242137]
	org.netbeans.modules.options.api/1 [1.12.1 200904242137]
	org.netbeans.modules.editor.errorstripe.api/1 [2.6.1.1 1 200904242137]
	org.netbeans.modules.editor.errorstripe/2 [2.6.1.1.1 1 200904242137]
	org.netbeans.modules.javahelp/1 [2.12.1 200904242137]
	org.netbeans.modules.options.keymap [1.5.1 200904242137]
	org.netbeans.modules.options.editor/1 [1.12.1 200904242137]
	org.netbeans.modules.diff/1 [1.21.1.42.1 42 200904242137]
	org.netbeans.modules.editor.completion/1 [1.14.1.1 1 200904242137]
	org.netbeans.spi.editor.hints/0 [1.7.1.7.2 7 200904242137]
	org.netbeans.modules.editor.codetemplates/1 [1.11.1.1 1 200904242137]
	org.netbeans.core.ui/1 [1.14.1.1 200904242137]
	org.netbeans.modules.jumpto/1 [1.8.1 200904242137]
	org.netbeans.api.annotations.common/1 [1.0.1 200904242137]
	org.netbeans.modules.editor.guards/1 [1.3.1 200904242137]
	org.netbeans.modules.refactoring.api [1.5.1 200904242137]
	org.netbeans.spi.tasklist/1 [1.4.1.1 1 200904242137]
	org.netbeans.spi.navigator/1 [1.8.1 200904242137]
	org.netbeans.modules.csl.api/1 [1.9.1.1.1.1.1 1 200904242137]
	org.netbeans.libs.xerces/1 [1.13.1.280 280 200904242137]
	org.netbeans.modules.html.lexer/1 [1.4.1 200904242137]
	org.netbeans.modules.editor.bracesmatching/0 [1.7.1 200904242137]
	org.netbeans.modules.css.editor/1 [1.3.1 200904242137]
	org.netbeans.modules.editor.structure/1 [1.18.1.1 1 200904242137]
	org.netbeans.modules.html.editor.lib/1 [1.9.1 200904242137]
	org.netbeans.modules.html.editor/1 [1.12.1 200904242137]
	org.mozilla.rhino.patched/1 [1.104.1 200904242137]
	org.netbeans.modules.javascript.editing/1 [0.87.1 200904242137]
	org.netbeans.modules.javascript.refactoring/1 [0.62.1 200904242137]
	org.netbeans.modules.javascript.hints/1 [0.37.1 200904242137]
	org.netbeans.modules.javascript.kit/1 [0.105.1 200904242137]
	org.netbeans.api.xml/1 [1.17.1 200904242137]
	org.netbeans.modules.xml.core/2 [1.16.1.4 4 200904242137]
	org.netbeans.modules.xml.lexer [1.4.1 200904242137]
	org.netbeans.modules.xml.text/2 [1.17.1.5 5 200904242137]
	org.netbeans.modules.xml.xam/1 [1.5.1.1 1 200904242137]
	org.netbeans.modules.xml.schema.model/1 [1.5.1.1 1 200904242137]
	org.netbeans.modules.xml.axi [1.5.1 200904242137]
	org.netbeans.modules.xml.xdm/1 [1.5.1.1 1 200904242137]
	org.apache.xml.resolver [1.6.1.12 12 200904242137]
	org.netbeans.modules.xml.retriever/1 [1.4.1 200904242137]
	org.netbeans.modules.xml [1.3.1 200904242137]
	org.netbeans.modules.xml.tax/2 [1.17.1.280 200904242137]
	org.netbeans.modules.xml.tools/2 [1.17.1 200904242137]
	org.netbeans.modules.xml.schema.completion [1.3.1 200904242137]
	org.netbeans.modules.properties/1 [1.27.1 200904242137]
	org.netbeans.core.output2/1 [1.11.1.1 1 200904242137]
	org.netbeans.modules.editor.plain.lib/1 [1.7.1 200904242137]
	org.netbeans.modules.web.flyingsaucer/1 [1.3.1.1 1 200904242137]
	org.netbeans.modules.css.visual/1 [2.4.1 200904242137]
	org.netbeans.modules.servletapi/1 [1.14.1 200904242137]
	org.netbeans.modules.httpserver/2 [2.10.1.42 42 200904242137]
	org.netbeans.modules.xsl/1 [1.17.1 200904242137]
	org.netbeans.modules.languages.manifest [1.6.1 200904242137]
	org.netbeans.libs.jsr223/1 [1.9.1.6 6 200904242137]
	org.netbeans.modules.templates [1.4.1 200904242137]
	org.netbeans.modules.languages.diff [1.7.1 200904242137]
	org.netbeans.modules.image/1 [1.22.1 200904242137]
	org.netbeans.spi.palette/1 [1.15.1 200904242137]
	org.netbeans.modules.html/1 [1.25.1 200904242137]
	org.netbeans.modules.editor.kit [1.3.1 200904242137]
	org.netbeans.modules.sendopts/2 [2.4.1 200904242137]
	org.netbeans.modules.utilities/1 [1.30.1 200904242137]
	org.netbeans.modules.tasklist.ui/1 [1.3.1.1 200904242137]
	org.netbeans.modules.tasklist.todo/1 [1.4.1.1 1 200904242137]
	org.netbeans.modules.tasklist.projectint/1 [1.3.1 200904242137]
	org.netbeans.modules.tasklist.kit [1.3.1 200904242137]
	org.netbeans.modules.usersguide/1 [1.23.1 200904242137]
	org.netbeans.modules.project.libraries/1 [1.20.1 200904242137]
	org.netbeans.modules.print.editor [7.0.1 200904242137]
	org.netbeans.core.execution/1 [1.13.1.1 200904242137]
	org.netbeans.modules.masterfs/2 [2.16.1 200904242137]
	org.netbeans.modules.favorites/1 [1.15.1 200904242137]
	org.netbeans.modules.projectui [1.16.1.1.6 1 200904242137]
	org.netbeans.modules.editor.plain/2 [1.8.1 200904242137]
	org.netbeans.modules.xml.catalog/2 [1.15.1.4 4 200904242137]
	org.netbeans.modules.autoupdate.services [1.8.1 200904242137]
	org.netbeans.modules.autoupdate.ui [1.7.1 200904242137]
	org.netbeans.modules.print [7.0.1 200904242137]
	org.netbeans.modules.settings/1 [1.18.1.1 200904242137]
	org.netbeans.core.windows/2 [2.14.1.1 200904242137]
	org.netbeans.modules.core.kit [1.3.1 200904242137]
	org.netbeans.core.ide/1 [1.15.1 200904242137]
	org.netbeans.modules.editor.macros/0 [1.3.1.1.8 1 200904242137]
	org.netbeans.modules.extbrowser/1 [1.14.1 200904242137]
	org.netbeans.modules.defaults/1 [1.6.1 200904242137]
	org.netbeans.modules.ide.kit [1.6.1 200904242137]
	org.netbeans.modules.web.client.tools.api [1.1.1 200904242137]
	org.netbeans.libs.swingx/1 [1.1.1 200904242137]
	org.netbeans.modules.classfile/1 [1.22.1 200904242137]
	org.netbeans.modules.db.metadata.model/0 [0.3.1 200904242137]
	org.netbeans.modules.db/1 [1.31.1.30 30 200904242137]
	org.netbeans.lib.uihandler [1.17.1 200904242137]
	org.netbeans.modules.uihandler [2.7.1 200904242137]
	org.netbeans.modules.uihandler.exceptionreporter [1.3.1 200904242137]
	org.netbeans.modules.db.dataview [1.1.1 200904242137]
	org.netbeans.modules.db.core [1.8.1 200904242137]
	org.netbeans.modules.dbapi [1.8.1.30 200904242137]
	org.netbeans.modules.db.sql.editor [1.9.1.30 200904242137]
	org.netbeans.modules.websvc.saas.services.weatherbug [1.2.1 200904242137]
	org.netbeans.modules.versioning/1 [1.10.1.1.42.1 1 200904242137]
	org.netbeans.modules.versioning.util [1.4.1.42.1 200904242137]
	org.netbeans.modules.localhistory [1.4.1 200904242137]
	org.netbeans.modules.ide.branding/1 [1.7.1 200904242137]
	org.netbeans.libs.commons_codec/1 [1.0.1 200904242137]
	org.netbeans.libs.commons_logging/1 [1.8.1.11 11 200904242137]
	org.netbeans.libs.bugtracking [1.0.1.1 1 200904242137]
	org.netbeans.libs.bugzilla [1.0.1 200904242137]
	org.netbeans.libs.jna/1 [1.2.1 200904242137]
	org.netbeans.core.nativeaccess/1 [1.2.1 200904242137]
	org.netbeans.libs.bytelist/1 [0.2.1.1 1 200904242137]
	org.netbeans.libs.jvyamlb/1 [0.3.1.23 023 200904242137]
	org.netbeans.modules.languages.yaml [2.1.1 200904242137]
	org.netbeans.modules.server/0 [1.4.1 200904242137]
	org.netbeans.modules.extexecution/2 [1.14.1 200904242137]
	org.netbeans.modules.ruby.rakeproject/1 [0.15.1 200904242137]
	org.netbeans.modules.ruby.platform/1 [1.6.2 200904242137]
	org.netbeans.libs.yydebug/1 [1.1.1.1 1 200904242137]
	org.netbeans.libs.jrubyparser/1 [1.1.1.1 1 200904242137]
	org.netbeans.modules.ruby/1 [1.0.1 200904242137]
	org.netbeans.modules.gototest/1 [1.3.1 200904242137]
	org.netbeans.modules.gsf.codecoverage [1.0.1 200904242137]
	org.netbeans.modules.ruby.codecoverage [1.0.1 200904242137]
	org.jruby/1 [0.115.1 200904242137]
	org.netbeans.modules.ruby.project/1 [1.5.1 200904242137]
	org.netbeans.modules.ruby.rhtml/1 [0.64.1.1 200904242137]
	org.netbeans.modules.db.mysql [0.2.1.2 2 200904242137]
	org.netbeans.modules.ruby.railsprojects/1 [1.1.1 200904242137]
	org.netbeans.modules.glassfish.common/0 [1.0.1 200904242137]
	org.jruby.distro/1 [0.115.1 200904242137]
	org.netbeans.modules.glassfish.jruby/0 [1.0.1 200904242137]
	org.netbeans.modules.properties.syntax/1 [1.21.1 200904242137]
	org.netbeans.libs.jaxb/1 [1.4.1 200904242137]
	org.netbeans.modules.xml.wsdl.model/1 [1.5.1.1 1 200904242137]
	org.netbeans.modules.websvc.jaxwsmodelapi/1 [1.1.1 200904242137]
	org.netbeans.modules.websvc.saas.api [1.2.1 200904242137]
	org.netbeans.modules.websvc.saas.services.strikeiron [1.2.1 200904242137]
	org.netbeans.modules.websvc.saas.ui [1.2.1 200904242137]
	org.netbeans.modules.web.client.tools.firefox.extension [1.1.1 200904242137]
	org.netbeans.api.debugger/1 [1.17.1 200904242137]
	org.netbeans.spi.viewmodel/2 [1.17.1 200904242137]
	org.netbeans.spi.debugger.ui/1 [2.16.1 200904242137]
	org.kxml2/1 [1.3.1 200904242137]
	org.rubyforge.debugcommons/0 [1.37.1 200904242137]
	org.netbeans.modules.ruby.debugger [0.104.1 200904242137]
	org.netbeans.modules.kenai [0.1.1 200904242137]
	org.netbeans.libs.smack [3.1.1 200904242137]
	org.netbeans.libs.ini4j/1 [1.4.1 200904242137]
	org.netbeans.modules.mercurial [1.8.2.42.1 200904242137]
	org.netbeans.libs.svnClientAdapter/1 [1.6.1 200904242137]
	org.netbeans.modules.subversion [1.5.2.42.1 200904242137]
	org.netbeans.modules.kenai.ui [0.1.1 200904242137]
	org.netbeans.modules.kenai.collab [1.0.1 200904242137]
	org.netbeans.modules.websvc.saas.services.twitter [1.2.1 200904242137]
	org.netbeans.core.io.ui/1 [1.1.1.1 1 200904242137]
	org.netbeans.modules.websvc.saas.services.facebook [1.2.1 200904242137]
	org.netbeans.modules.websvc.saas.codegen [1.2.1 200904242137]
	org.netbeans.modules.editor.mimelookup.impl/1 [1.4.1 200904242137]
	org.netbeans.modules.ruby.samples.depot/1 [1.3.1 200904242137]
	org.netbeans.libs.jsch/1 [1.8.1.139 0139 200904242137]
	org.netbeans.modules.bugtracking [1.0.1 200904242137]
	org.netbeans.modules.web.client.tools.common [1.1.1 200904242137]
	org.netbeans.modules.web.client.tools.impl [1.1.1 200904242137]
	org.netbeans.modules.ruby.help [0.8.1 200904242137]
	org.netbeans.core.multiview/1 [1.13.1 200904242137]
	org.netbeans.modules.gsf.testrunner [1.7.1 200904242137]
	org.netbeans.modules.ruby.hints/1 [0.38.1 200904242137]
	org.netbeans.modules.websvc.saas.services.amazon [1.2.1 200904242137]
	org.netbeans.modules.web.client.tools.internetexplorer [1.1.1 200904242137]
	org.netbeans.modules.websvc.saas.services.zvents [1.2.1 200904242137]
	org.netbeans.api.visual [2.18.1 200904242137]
	org.netbeans.modules.db.sql.visualeditor/1 [2.4.1.30 200904242137]
	org.netbeans.modules.db.drivers [1.3.1 200904242137]
	org.netbeans.modules.db.kit [1.4.1 200904242137]
	org.netbeans.modules.web.client.tools.firefox [1.1.1 200904242137]
	org.netbeans.modules.bugzilla [1.0.1 200904242137]
	org.netbeans.modules.web.client.tools.kit [1.1.1 200904242137]
	org.netbeans.modules.websvc.saas.services.google [1.2.1 200904242137]
	org.netbeans.modules.bugtracking.bridge [1.0.1 200904242137]
	org.netbeans.lib.cvsclient/1 [1.18.1 200904242137]
	org.netbeans.modules.hudson [1.0.1 200904242137]
	org.netbeans.libs.freemarker/1 [2.6.1.238 238 200904242137]
	org.netbeans.modules.lexer.nbbridge/1 [1.5.1.1 200904242137]
	org.netbeans.modules.progress.ui [1.3.1.1 200904242137]
	org.netbeans.modules.websvc.saas.services.flickr [1.2.1 200904242137]
	org.netbeans.modules.websvc.saas.services.delicious [1.2.1 200904242137]
	org.netbeans.modules.websvc.saas.services.yahoo [1.2.1 200904242137]
	org.netbeans.modules.websvc.saas.services.zillow [1.2.1 200904242137]
	org.netbeans.modules.websvc.saas.kit [1.1.1 200904242137]
	org.netbeans.modules.hudson.mercurial [1.0.1 200904242137]
	org.netbeans.modules.registration [1.2.1 200904242137]
	org.netbeans.modules.utilities.project/1 [1.10.1 200904242137]
	org.netbeans.modules.welcome/1 [1.15.1 200904242137]
	org.netbeans.modules.versioning.system.cvss/1 [1.12.1.1.42.1 1 200904242137]
	org.netbeans.modules.autoupdate.pluginimporter [0.1.1 200904242137]
	org.netbeans.modules.ruby.testrunner [1.2.1 200904242137]
	org.netbeans.modules.ruby.javaint/1 [0.34.1 200904242137]
	org.netbeans.modules.ruby.refactoring/1 [0.62.1 200904242137]
	org.netbeans.modules.ruby.extrahints/1 [0.41.1 200904242137]
	org.netbeans.modules.ruby.kit/1 [0.105.1 200904242137]
	org.netbeans.upgrader [4.9.1 200904242137]
	org.netbeans.modules.ide.branding.kit [1.3.1 200904242137]
	org.netbeans.modules.updatecenters/1 [1.14.1 200904242137]
	org.netbeans.modules.team.kit [1.0.1 200904242137]
	org.netbeans.modules.hudson.subversion [1.0.1 200904242137]
INFO [org.netbeans.modules.mercurial]: Could not load the file /home/rodrigo/.hgrc. Falling back on hg defaults.
SEVERE [org.netbeans.modules.mercurial]: execEnv():  execEnv(): IOException java.io.IOException: Cannot run program
"hg": java.io.IOException: error=2, Arquivo ou diretório inexistente
INFO [org.netbeans.libs.svnclientadapter]: Javahl client adapter is not available
Failed to load JavaHL Library.
These are the errors that were encountered:
no libsvnjavahl-1 in java.library.path
no svnjavahl-1 in java.library.path
no svnjavahl in java.library.path
java.library.path =
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386/client:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/../lib/i386:/usr/java/packages/lib/i386:/lib:/usr/lib
INFO [org.netbeans.modules.subversion.client.SvnClientFactory]: Could not setup subversion java bindings. Falling back
on commandline.
INFO [org.netbeans.modules.subversion.client.SvnClientFactory]: running on commandline
FINER [org.netbeans.modules.ruby.railsprojects.RailsConfigurationProvider]: Added listener to
/home/rodrigo/Projetos/JadCargas/Fenix/Core/trunk/nbproject
FINER [org.netbeans.modules.ruby.railsprojects.RailsConfigurationProvider]: Added listener to
/home/rodrigo/Projetos/JadCargas/Fenix/Core/branches/rodrigo-branch/nbproject
FINER [org.netbeans.modules.ruby.railsprojects.RailsConfigurationProvider]: Added listener to
/home/rodrigo/Projetos/JadCargas/Fenix/Core/branches/pj4/nbproject
FINER [org.netbeans.modules.ruby.railsprojects.RailsConfigurationProvider]: Added listener to
/home/rodrigo/Projetos/teste-Ajax/nbproject
FINER [org.netbeans.modules.ruby.rubyproject.RubyConfigurationProvider]: Added listener to
/home/rodrigo/Projetos/teste-debug/nbproject
FINE [org.netbeans.api.ruby.platform.RubyPlatformManager]: RubyPlatform initial list: [RubyPlatform[id:Ruby, label:Ruby
1.8.6-p368, /home/rodrigo/bin/ruby, info: RubyPlatform$Info[GEM_HOME:/home/rodrigo/lib/ruby/gems/1.8, GEM_PATH:
/home/rodrigo/.gem/ruby/1.8:/home/rodrigo/lib/ruby/gems/1.8, gemVersion: 1.3.2, lib: /home/rodrigo/lib/ruby/1.8]],
RubyPlatform[id:default, label:JRuby embutido 1.2.0, /home/rodrigo/netbeans-6.7beta/ruby2/jruby-1.2.0/bin/jruby, info:
RubyPlatform$Info[GEM_HOME:/home/rodrigo/netbeans-6.7beta/ruby2/jruby-1.2.0/lib/ruby/gems/1.8, GEM_PATH:
/home/rodrigo/netbeans-6.7beta/ruby2/jruby-1.2.0/lib/ruby/gems/1.8, gemVersion: 1.3.1, lib:
/home/rodrigo/netbeans-6.7beta/ruby2/jruby-1.2.0/lib/ruby/1.8]]]
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Looking for 'gem' executable; used intepreter: '/home/rodrigo/bin/ruby'
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Found 'gem': '/home/rodrigo/bin/gem'
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Looking for 'rake' executable; used intepreter:
'/home/rodrigo/bin/ruby'
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Found 'rake': '/home/rodrigo/bin/rake'
FINE [org.netbeans.modules.ruby.platform.execution.ExecutionUtils]: Running: (basedir:
/home/rodrigo/Projetos/JadCargas/Fenix/Core/trunk) "/home/rodrigo/bin/ruby
-r/home/rodrigo/netbeans-6.7beta/ruby2/sync-stdio.rb /home/rodrigo/netbeans-6.7beta/ruby2/rake_tasks_info.rb"
FINE [org.netbeans.modules.ruby.platform.execution.ExecutionUtils]: Environment: {TERM=xterm,
GEM_PATH=/home/rodrigo/.gem/ruby/1.8:/home/rodrigo/lib/ruby/gems/1.8, GTK_MODULES=canberra-gtk-module, SHLVL=2,
SSH_AGENT_PID=3754, LESSCLOSE=/usr/bin/lesspipe %s %s, XFILESEARCHPATH=/usr/dt/app-defaults/%L/Dt,
GDM_XSERVER_LOCATION=local, COLORTERM=gnome-terminal, SESSION_MANAGER=local/e4300:/tmp/.ICE-unix/3697,
GNOME_DESKTOP_SESSION_ID=this-is-deprecated, GDMSESSION=default,
XDG_SESSION_COOKIE=8b756fc8339754f561cc252e49fb9abc-1242309072.79871-1208588102,
XDG_DATA_DIRS=/usr/local/share/:/usr/share/:/usr/share/gdm/, PWD=/home/rodrigo/netbeans-6.7beta/bin, LOGNAME=rodrigo,
WINDOWID=54526005, J2D_PIXMAPS=shared, GPG_AGENT_INFO=/tmp/seahorse-9Bqd9V/S.gpg-agent:3788:1,
_=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/bin/java, NLSPATH=/usr/dt/lib/nls/msg/%L/%N.cat,
SSH_AUTH_SOCK=/tmp/keyring-eOFuGk/socket.ssh, GNOME_KEYRING_SOCKET=/tmp/keyring-eOFuGk/socket,
LD_LIBRARY_PATH=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386/client:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/../lib/i386,
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Mge57xRhwu,guid=99563be503659474d8e81dfc4a0c21d1, SHELL=/bin/bash,
GNOME_KEYRING_PID=3681, GTK_RC_FILES=/etc/gtk/gtkrc:/home/rodrigo/.gtkrc-1.2-gnome2,
PATH=/home/rodrigo/bin:/home/rodrigo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games,
GEM_HOME=/home/rodrigo/lib/ruby/gems/1.8, DESKTOP_SESSION=default, DISPLAY=:0.0, USER=rodrigo, HOME=/home/rodrigo,
HISTCONTROL=ignoreboth, XAUTHORITY=/home/rodrigo/.Xauthority, LESSOPEN=| /usr/bin/lesspipe %s, GDM_LANG=pt_BR.UTF-8,
WINDOWPATH=7, USERNAME=rodrigo,
LS_COLORS=no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.svgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:,
ORBIT_SOCKETDIR=/tmp/orbit-rodrigo, LANG=pt_BR.UTF-8}
FINE [org.netbeans.modules.ruby.platform.execution.ExecutionUtils]: Running: (basedir:
/home/rodrigo/Projetos/JadCargas/Fenix/Core/branches/rodrigo-branch) "/home/rodrigo/bin/ruby
-r/home/rodrigo/netbeans-6.7beta/ruby2/sync-stdio.rb /home/rodrigo/netbeans-6.7beta/ruby2/rake_tasks_info.rb"
FINE [org.netbeans.modules.ruby.platform.execution.ExecutionUtils]: Environment: {TERM=xterm,
GEM_PATH=/home/rodrigo/.gem/ruby/1.8:/home/rodrigo/lib/ruby/gems/1.8, GTK_MODULES=canberra-gtk-module, SHLVL=2,
SSH_AGENT_PID=3754, LESSCLOSE=/usr/bin/lesspipe %s %s, XFILESEARCHPATH=/usr/dt/app-defaults/%L/Dt,
GDM_XSERVER_LOCATION=local, COLORTERM=gnome-terminal, SESSION_MANAGER=local/e4300:/tmp/.ICE-unix/3697,
GNOME_DESKTOP_SESSION_ID=this-is-deprecated, GDMSESSION=default,
XDG_SESSION_COOKIE=8b756fc8339754f561cc252e49fb9abc-1242309072.79871-1208588102,
XDG_DATA_DIRS=/usr/local/share/:/usr/share/:/usr/share/gdm/, PWD=/home/rodrigo/netbeans-6.7beta/bin, LOGNAME=rodrigo,
WINDOWID=54526005, J2D_PIXMAPS=shared, GPG_AGENT_INFO=/tmp/seahorse-9Bqd9V/S.gpg-agent:3788:1,
_=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/bin/java, NLSPATH=/usr/dt/lib/nls/msg/%L/%N.cat,
SSH_AUTH_SOCK=/tmp/keyring-eOFuGk/socket.ssh, GNOME_KEYRING_SOCKET=/tmp/keyring-eOFuGk/socket,
LD_LIBRARY_PATH=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386/client:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/../lib/i386,
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Mge57xRhwu,guid=99563be503659474d8e81dfc4a0c21d1, SHELL=/bin/bash,
GNOME_KEYRING_PID=3681, GTK_RC_FILES=/etc/gtk/gtkrc:/home/rodrigo/.gtkrc-1.2-gnome2,
PATH=/home/rodrigo/bin:/home/rodrigo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games,
GEM_HOME=/home/rodrigo/lib/ruby/gems/1.8, DESKTOP_SESSION=default, DISPLAY=:0.0, USER=rodrigo, HOME=/home/rodrigo,
HISTCONTROL=ignoreboth, XAUTHORITY=/home/rodrigo/.Xauthority, LESSOPEN=| /usr/bin/lesspipe %s, GDM_LANG=pt_BR.UTF-8,
WINDOWPATH=7, USERNAME=rodrigo,
LS_COLORS=no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.svgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:,
ORBIT_SOCKETDIR=/tmp/orbit-rodrigo, LANG=pt_BR.UTF-8}
FINE [org.netbeans.modules.ruby.platform.execution.ExecutionUtils]: Running: (basedir:
/home/rodrigo/Projetos/JadCargas/Fenix/Core/branches/pj4) "/home/rodrigo/bin/ruby
-r/home/rodrigo/netbeans-6.7beta/ruby2/sync-stdio.rb /home/rodrigo/netbeans-6.7beta/ruby2/rake_tasks_info.rb"
FINE [org.netbeans.modules.ruby.platform.execution.ExecutionUtils]: Environment: {TERM=xterm,
GEM_PATH=/home/rodrigo/.gem/ruby/1.8:/home/rodrigo/lib/ruby/gems/1.8, GTK_MODULES=canberra-gtk-module, SHLVL=2,
SSH_AGENT_PID=3754, LESSCLOSE=/usr/bin/lesspipe %s %s, XFILESEARCHPATH=/usr/dt/app-defaults/%L/Dt,
GDM_XSERVER_LOCATION=local, COLORTERM=gnome-terminal, SESSION_MANAGER=local/e4300:/tmp/.ICE-unix/3697,
GNOME_DESKTOP_SESSION_ID=this-is-deprecated, GDMSESSION=default,
XDG_SESSION_COOKIE=8b756fc8339754f561cc252e49fb9abc-1242309072.79871-1208588102,
XDG_DATA_DIRS=/usr/local/share/:/usr/share/:/usr/share/gdm/, PWD=/home/rodrigo/netbeans-6.7beta/bin, LOGNAME=rodrigo,
WINDOWID=54526005, J2D_PIXMAPS=shared, GPG_AGENT_INFO=/tmp/seahorse-9Bqd9V/S.gpg-agent:3788:1,
_=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/bin/java, NLSPATH=/usr/dt/lib/nls/msg/%L/%N.cat,
SSH_AUTH_SOCK=/tmp/keyring-eOFuGk/socket.ssh, GNOME_KEYRING_SOCKET=/tmp/keyring-eOFuGk/socket,
LD_LIBRARY_PATH=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386/client:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/../lib/i386,
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Mge57xRhwu,guid=99563be503659474d8e81dfc4a0c21d1, SHELL=/bin/bash,
GNOME_KEYRING_PID=3681, GTK_RC_FILES=/etc/gtk/gtkrc:/home/rodrigo/.gtkrc-1.2-gnome2,
PATH=/home/rodrigo/bin:/home/rodrigo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games,
GEM_HOME=/home/rodrigo/lib/ruby/gems/1.8, DESKTOP_SESSION=default, DISPLAY=:0.0, USER=rodrigo, HOME=/home/rodrigo,
HISTCONTROL=ignoreboth, XAUTHORITY=/home/rodrigo/.Xauthority, LESSOPEN=| /usr/bin/lesspipe %s, GDM_LANG=pt_BR.UTF-8,
WINDOWPATH=7, USERNAME=rodrigo,
LS_COLORS=no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.svgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:,
ORBIT_SOCKETDIR=/tmp/orbit-rodrigo, LANG=pt_BR.UTF-8}
FINE [org.netbeans.modules.ruby.platform.execution.ExecutionUtils]: Running: (basedir:
/home/rodrigo/Projetos/teste-Ajax) "/home/rodrigo/bin/ruby -r/home/rodrigo/netbeans-6.7beta/ruby2/sync-stdio.rb
/home/rodrigo/netbeans-6.7beta/ruby2/rake_tasks_info.rb"
FINE [org.netbeans.modules.ruby.platform.execution.ExecutionUtils]: Environment: {TERM=xterm,
GEM_PATH=/home/rodrigo/.gem/ruby/1.8:/home/rodrigo/lib/ruby/gems/1.8, GTK_MODULES=canberra-gtk-module, SHLVL=2,
SSH_AGENT_PID=3754, LESSCLOSE=/usr/bin/lesspipe %s %s, XFILESEARCHPATH=/usr/dt/app-defaults/%L/Dt,
GDM_XSERVER_LOCATION=local, COLORTERM=gnome-terminal, SESSION_MANAGER=local/e4300:/tmp/.ICE-unix/3697,
GNOME_DESKTOP_SESSION_ID=this-is-deprecated, GDMSESSION=default,
XDG_SESSION_COOKIE=8b756fc8339754f561cc252e49fb9abc-1242309072.79871-1208588102,
XDG_DATA_DIRS=/usr/local/share/:/usr/share/:/usr/share/gdm/, PWD=/home/rodrigo/netbeans-6.7beta/bin, LOGNAME=rodrigo,
WINDOWID=54526005, J2D_PIXMAPS=shared, GPG_AGENT_INFO=/tmp/seahorse-9Bqd9V/S.gpg-agent:3788:1,
_=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/bin/java, NLSPATH=/usr/dt/lib/nls/msg/%L/%N.cat,
SSH_AUTH_SOCK=/tmp/keyring-eOFuGk/socket.ssh, GNOME_KEYRING_SOCKET=/tmp/keyring-eOFuGk/socket,
LD_LIBRARY_PATH=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386/client:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/../lib/i386,
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Mge57xRhwu,guid=99563be503659474d8e81dfc4a0c21d1, SHELL=/bin/bash,
GNOME_KEYRING_PID=3681, GTK_RC_FILES=/etc/gtk/gtkrc:/home/rodrigo/.gtkrc-1.2-gnome2,
PATH=/home/rodrigo/bin:/home/rodrigo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games,
GEM_HOME=/home/rodrigo/lib/ruby/gems/1.8, DESKTOP_SESSION=default, DISPLAY=:0.0, USER=rodrigo, HOME=/home/rodrigo,
HISTCONTROL=ignoreboth, XAUTHORITY=/home/rodrigo/.Xauthority, LESSOPEN=| /usr/bin/lesspipe %s, GDM_LANG=pt_BR.UTF-8,
WINDOWPATH=7, USERNAME=rodrigo,
LS_COLORS=no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.svgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:,
ORBIT_SOCKETDIR=/tmp/orbit-rodrigo, LANG=pt_BR.UTF-8}
FINE [org.netbeans.modules.ruby.platform.execution.ExecutionUtils]: Running: (basedir:
/home/rodrigo/Projetos/teste-debug) "/home/rodrigo/bin/ruby -r/home/rodrigo/netbeans-6.7beta/ruby2/sync-stdio.rb
/home/rodrigo/netbeans-6.7beta/ruby2/rake_tasks_info.rb"
FINE [org.netbeans.modules.ruby.platform.execution.ExecutionUtils]: Environment: {TERM=xterm,
GEM_PATH=/home/rodrigo/.gem/ruby/1.8:/home/rodrigo/lib/ruby/gems/1.8, GTK_MODULES=canberra-gtk-module, SHLVL=2,
SSH_AGENT_PID=3754, LESSCLOSE=/usr/bin/lesspipe %s %s, XFILESEARCHPATH=/usr/dt/app-defaults/%L/Dt,
GDM_XSERVER_LOCATION=local, COLORTERM=gnome-terminal, SESSION_MANAGER=local/e4300:/tmp/.ICE-unix/3697,
GNOME_DESKTOP_SESSION_ID=this-is-deprecated, GDMSESSION=default,
XDG_SESSION_COOKIE=8b756fc8339754f561cc252e49fb9abc-1242309072.79871-1208588102,
XDG_DATA_DIRS=/usr/local/share/:/usr/share/:/usr/share/gdm/, PWD=/home/rodrigo/netbeans-6.7beta/bin, LOGNAME=rodrigo,
WINDOWID=54526005, J2D_PIXMAPS=shared, GPG_AGENT_INFO=/tmp/seahorse-9Bqd9V/S.gpg-agent:3788:1,
_=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/bin/java, NLSPATH=/usr/dt/lib/nls/msg/%L/%N.cat,
SSH_AUTH_SOCK=/tmp/keyring-eOFuGk/socket.ssh, GNOME_KEYRING_SOCKET=/tmp/keyring-eOFuGk/socket,
LD_LIBRARY_PATH=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386/client:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/../lib/i386,
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Mge57xRhwu,guid=99563be503659474d8e81dfc4a0c21d1, SHELL=/bin/bash,
GNOME_KEYRING_PID=3681, GTK_RC_FILES=/etc/gtk/gtkrc:/home/rodrigo/.gtkrc-1.2-gnome2,
PATH=/home/rodrigo/bin:/home/rodrigo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games,
GEM_HOME=/home/rodrigo/lib/ruby/gems/1.8, DESKTOP_SESSION=default, DISPLAY=:0.0, USER=rodrigo, HOME=/home/rodrigo,
HISTCONTROL=ignoreboth, XAUTHORITY=/home/rodrigo/.Xauthority, LESSOPEN=| /usr/bin/lesspipe %s, GDM_LANG=pt_BR.UTF-8,
WINDOWPATH=7, USERNAME=rodrigo,
LS_COLORS=no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.svgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:,
ORBIT_SOCKETDIR=/tmp/orbit-rodrigo, LANG=pt_BR.UTF-8}
Diagnostic information
Input arguments:
	-Djdk.home=/usr/lib/jvm/java-6-sun-1.6.0.13/jre
	-Dnetbeans.system_http_proxy=DIRECT
	-Dnetbeans.system_http_non_proxy_hosts=
	-Dnetbeans.dirs=/home/rodrigo/netbeans-6.7beta/nb6.7:./../ergonomics1:/home/rodrigo/netbeans-6.7beta/ide11:./../java2:./../xml2:./../apisupport1:/home/rodrigo/netbeans-6.7beta/webcommon1:/home/rodrigo/netbeans-6.7beta/websvccommon1:./../enterprise5:./../mobility8:./../profiler3:/home/rodrigo/netbeans-6.7beta/ruby2:./../python1:./../php1:./../visualweb2:./../soa2:./../identity2:./../uml6:./../harness:./../cnd2:./../dlight1:./../groovy1:./../extra:./../javafx2:
	-Dnetbeans.home=/home/rodrigo/netbeans-6.7beta/platform10
	-Dnetbeans.importclass=org.netbeans.upgrade.AutoUpgrade
	-Dnetbeans.accept_license_class=org.netbeans.license.AcceptLicense
	-Xmx512m
	-Xverify:none
	-Xss2m
	-Xms32m
	-XX:PermSize=32m
	-XX:MaxPermSize=200m
	-Dnetbeans.logger.console=true
	-ea
	-Dapple.laf.useScreenMenuBar=true
	-Dsun.java2d.noddraw=true
	-Dorg.netbeans.modules.ruby.level=400
	-Dorg.netbeans.api.ruby.platform.level=400
	-Dorg.rubyforge.debugcommons.level=300
	-Dorg.rubyforge.debugcommons.verbose=true
	-XX:+HeapDumpOnOutOfMemoryError
	-XX:HeapDumpPath=/home/rodrigo/.netbeans/6.7beta/var/log/heapdump.hprof
Compiler: HotSpot Client Compiler
Heap memory usage: initial 32,0MB maximum 508,1MB
Non heap memory usage: initial 52,2MB maximum 252,0MB
Garbage collector: Copy (Collections=121 Total time spent=0s)
Garbage collector: MarkSweepCompact (Collections=1 Total time spent=0s)
Classes: loaded=5308 total loaded=5308 unloaded 0
INFO [org.netbeans.core.ui.warmup.DiagnosticTask]: Total memory 3.652.120.576
FINER [org.netbeans.modules.ruby.platform.gems.GemManager]: Initializing "/home/rodrigo/.gem/ruby/1.8" repository
FINER [org.netbeans.modules.ruby.platform.gems.GemManager]: Initializing "/home/rodrigo/lib/ruby/gems/1.8" repository
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Looking for 'gem' executable; used intepreter:
'/home/rodrigo/netbeans-6.7beta/ruby2/jruby-1.2.0/bin/jruby'
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Found 'gem': '/home/rodrigo/netbeans-6.7beta/ruby2/jruby-1.2.0/bin/gem'
FINER [org.netbeans.modules.ruby.rubyproject.RubyConfigurationProvider]: Calculated configurations: {}
FINER [org.netbeans.modules.ruby.rubyproject.RubyConfigurationProvider]: Calculated configurations: {}
FINER [org.netbeans.modules.ruby.rubyproject.RubyConfigurationProvider]: Calculated configurations: {}
FINER [org.netbeans.modules.ruby.rubyproject.RubyConfigurationProvider]: Calculated configurations: {}
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Looking for 'rdebug-ide' executable; used intepreter:
'/home/rodrigo/bin/ruby'
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Found 'rdebug-ide': '/home/rodrigo/bin/rdebug-ide'
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Looking for 'rdebug-ide' executable; used intepreter:
'/home/rodrigo/bin/ruby'
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Found 'rdebug-ide': '/home/rodrigo/bin/rdebug-ide'
FINER [org.netbeans.modules.ruby.debugger.RubyDebugger]: Using timeout: 15s
FINE [org.netbeans.modules.ruby.debugger.RubyDebugger]: Running fast debugger...
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Looking for 'rdebug-ide' executable; used intepreter:
'/home/rodrigo/bin/ruby'
FINER [org.netbeans.api.ruby.platform.RubyPlatform]: Found 'rdebug-ide': '/home/rodrigo/bin/rdebug-ide'
FINE [org.rubyforge.debugcommons.RubyDebuggerFactory]: Running [basedir: /home/rodrigo/Projetos/teste-debug/lib]:
"/home/rodrigo/bin/ruby -I/home/rodrigo/Projetos/teste-debug/lib -I/home/rodrigo/Projetos/teste-debug/test
-I/home/rodrigo/Projetos/teste-debug/spec -r /tmp/io-synchronizer1851930422996790371.rb /home/rodrigo/bin/rdebug-ide
_0.4.4_ -p 47588 --xml-debug -- /home/rodrigo/Projetos/teste-debug/lib/main.rb"
FINE [org.rubyforge.debugcommons.RubyDebuggerFactory]: Environment: {TERM=xterm,
GEM_PATH=/home/rodrigo/.gem/ruby/1.8:/home/rodrigo/lib/ruby/gems/1.8, GTK_MODULES=canberra-gtk-module, SHLVL=2,
SSH_AGENT_PID=3754, LESSCLOSE=/usr/bin/lesspipe %s %s, XFILESEARCHPATH=/usr/dt/app-defaults/%L/Dt,
GDM_XSERVER_LOCATION=local, COLORTERM=gnome-terminal, SESSION_MANAGER=local/e4300:/tmp/.ICE-unix/3697,
GNOME_DESKTOP_SESSION_ID=this-is-deprecated, GDMSESSION=default,
XDG_SESSION_COOKIE=8b756fc8339754f561cc252e49fb9abc-1242309072.79871-1208588102,
XDG_DATA_DIRS=/usr/local/share/:/usr/share/:/usr/share/gdm/, PWD=/home/rodrigo/netbeans-6.7beta/bin, LOGNAME=rodrigo,
WINDOWID=54526005, J2D_PIXMAPS=shared, GPG_AGENT_INFO=/tmp/seahorse-9Bqd9V/S.gpg-agent:3788:1,
_=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/bin/java, NLSPATH=/usr/dt/lib/nls/msg/%L/%N.cat,
SSH_AUTH_SOCK=/tmp/keyring-eOFuGk/socket.ssh, GNOME_KEYRING_SOCKET=/tmp/keyring-eOFuGk/socket,
LD_LIBRARY_PATH=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386/client:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/../lib/i386,
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Mge57xRhwu,guid=99563be503659474d8e81dfc4a0c21d1, SHELL=/bin/bash,
GNOME_KEYRING_PID=3681, GTK_RC_FILES=/etc/gtk/gtkrc:/home/rodrigo/.gtkrc-1.2-gnome2,
PATH=/home/rodrigo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games,
GEM_HOME=/home/rodrigo/lib/ruby/gems/1.8, DESKTOP_SESSION=default, DISPLAY=:0.0, USER=rodrigo, HOME=/home/rodrigo,
HISTCONTROL=ignoreboth, XAUTHORITY=/home/rodrigo/.Xauthority, LESSOPEN=| /usr/bin/lesspipe %s, GDM_LANG=pt_BR.UTF-8,
WINDOWPATH=7, USERNAME=rodrigo,
LS_COLORS=no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.svgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:,
ORBIT_SOCKETDIR=/tmp/orbit-rodrigo, LANG=pt_BR.UTF-8}
FINE [org.rubyforge.debugcommons.RubyDebuggerProxy]: Proxy target: RubyDebugTarget@4534658[baseDir:
/home/rodrigo/Projetos/teste-debug/lib, debuggedFile: /home/rodrigo/Projetos/teste-debug/lib/main.rb, port: 47588]
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(29)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(28)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(27)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(26)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(25)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(24)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(23)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(22)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(21)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(20)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(19)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(18)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(17)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(16)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(15)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(14)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(13)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(12)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(11)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(10)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(9)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(8)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(7)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(6)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(5)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(4)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(3)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(2)
FINEST [org.rubyforge.debugcommons.RubyDebuggerProxy]: Cannot connect to localhost:47588. Trying again...(1)
SEVERE [org.rubyforge.debugcommons.Util]: Error Output: 
Fast Debugger (ruby-debug-ide 0.4.4) listens on localhost:47588
FINER [org.netbeans.modules.ruby.debugger.RubyDebuggerActionProvider]: Performing "kill"
FINER [org.netbeans.modules.ruby.debugger.RubyDebuggerActionProvider]: Finishing session:
/home/rodrigo/Projetos/teste-debug/lib/main.rb (localhost:47588)
FINE [org.rubyforge.debugcommons.RubyDebuggerProxy]: Destroying process: RubyDebugTarget@4534658[baseDir:
/home/rodrigo/Projetos/teste-debug/lib, debuggedFile: /home/rodrigo/Projetos/teste-debug/lib/main.rb, port: 47588]
WARNING [org.netbeans.api.extexecution.ExecutionService]
java.net.ConnectException: Conexão recusada
	at java.net.PlainSocketImpl.socketConnect(Native Method)
	at java.net.PlainSocketImpl.doConnect(PlainSocketImpl.java:333)
	at java.net.PlainSocketImpl.connectToAddress(PlainSocketImpl.java:195)
	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:182)
	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:366)
	at java.net.Socket.connect(Socket.java:519)
	at java.net.Socket.connect(Socket.java:469)
	at java.net.Socket.<init>(Socket.java:366)
	at java.net.Socket.<init>(Socket.java:180)
	at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:494)
Caused: org.rubyforge.debugcommons.RubyDebuggerException: Cannot connect to the debugged process in 15s:

Dumping and destroying process, when the debuggee process is running. You might try to increase the timeout. Killing...

Error Output: 
Fast Debugger (ruby-debug-ide 0.4.4) listens on localhost:47588

	at org.rubyforge.debugcommons.RubyDebuggerProxy.failWithInfo(RubyDebuggerProxy.java:527)
	at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:502)
	at org.rubyforge.debugcommons.RubyDebuggerProxy.getCommandSocket(RubyDebuggerProxy.java:319)
	at org.rubyforge.debugcommons.RubyDebuggerProxy.attachToRubyDebug(RubyDebuggerProxy.java:161)
	at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:124)
	at org.netbeans.modules.ruby.debugger.RubyDebugger.debug(RubyDebugger.java:139)
Caused: java.lang.RuntimeException
	at org.netbeans.modules.ruby.debugger.RubyDebugger.debug(RubyDebugger.java:149)
	at org.netbeans.modules.ruby.platform.execution.RubyProcessCreator.call(RubyProcessCreator.java:121)
	at org.netbeans.modules.ruby.platform.execution.RubyProcessCreator.call(RubyProcessCreator.java:66)
[catch] at org.netbeans.api.extexecution.ExecutionService$3.call(ExecutionService.java:254)
	at org.netbeans.api.extexecution.ExecutionService$3.call(ExecutionService.java:230)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:619)
Comment 23 tuping 2009-05-14 17:27:31 UTC
Hello emononen,

Do you believe you can try to fix the same problem on Netbeans 6.5.1? If so, I can attach the logfile generated by 6.5.1
too.

Regards,
Rodrigo.
Comment 24 Erno Mononen 2009-05-20 14:05:53 UTC
Hi Rodrigo, 
Unfortunately there are no more patches planned for 6.5(.1). I will try to fix this for 6.7 though. When you tried this 
from the command line, what port did you use? Can you try using the same port that fails from the IDE, i.e. 47588 and 
let me know if that still works from the command line? Thanks!
Comment 25 tuping 2009-05-20 16:40:54 UTC
Hello. The test succeeds! Folowing the terminals output:

Terminal 1:
rodrigo@e4300:~/Projetos/teste-debug$ rdebug-ide _0.3.4_ -p 47588 -d -- lib/main.rb
Waiting for connection on 'localhost:47588'
Fast Debugger (ruby-debug-ide 0.3.4) listens on localhost:47588
Starting command read loop
Processing: b main.rb:4
<breakpointAdded no="1" location="main.rb:4"/>
Processing: start
Starting: running program script
<breakpoint file="main.rb" line="4" threadId="1"/>
Stopping Thread #<Thread:0xb7e7770c>
Threads equal: true
Processing: cont
Processing context: cont
Resumed Thread #<Thread:0xb7e7770c>
Hello World

Terminal 2:
rodrigo@e4300:~$ telnet localhost 47588
Trying ::1...
Connected to localhost.
Escape character is '^]'.
b main.rb:4
<breakpointAdded no="1" location="main.rb:4"/>start
<breakpoint file="main.rb" line="4" threadId="1"/>cont
Connection closed by foreign host.

Comment 26 Erno Mononen 2009-05-20 17:30:14 UTC
Thanks for testing it. Can you please try also with the 0.4.4 version of rdebug-ide (that's the version NB 6.7 uses), 
i.e.:

rdebug-ide _0.4.4_ ...

Comment 27 tuping 2009-05-20 21:29:00 UTC
Hello, it works too:

Terminal 1:
rodrigo@e4300:~/Projetos/teste-debug$ rdebug-ide _0.4.4_ -p 47588 -d -- lib/main.rb
Fast Debugger (ruby-debug-ide 0.4.4) listens on localhost:47588
Starting command read loop
Processing: b main.rb:4
<breakpointAdded no="1" location="main.rb:4"/>
Processing: start
Starting: running program script
<breakpoint file="main.rb" line="4" threadId="1"/>
Stopping Thread #<Thread:0xb7d20700>
Threads equal: true
Processing: cont
Processing context: cont
Resumed Thread #<Thread:0xb7d20700>
Hello World

Terminal 2:
rodrigo@e4300:~$ telnet localhost 47588
Trying ::1...
Connected to localhost.
Escape character is '^]'.
b main.rb:4
<breakpointAdded no="1" location="main.rb:4"/>start
<breakpoint file="main.rb" line="4" threadId="1"/>cont
Connection closed by foreign host.
Comment 28 Erno Mononen 2009-05-21 08:17:30 UTC
Thanks again. A couple of more things to try:

Please try increasing the timeout, i.e. add

-J-Dorg.netbeans.modules.ruby.debugger.timeout=60

to netbeans_default_options in the <nb_install_dir>/etc/netbeans.conf file.

Also, please try with a clean userdir, start the IDE from the command line as follows:

<nb_install_dir>$ bin/netbeans --userdir /home/myusername/.netbeans/anewdir

Lastly, check that you have localhost correctly pointing to 127.0.0.1, i.e. that /etc/hosts has 

127.0.0.1	localhost

defined.

Let me know whether any of the above helps -- thanks!
Comment 29 tuping 2009-05-21 13:54:40 UTC
Hello emononen,

I tried your orientations, but as you can see I got the same error.

Following the command line used to run Netbeans from a fresh new userdir:

~/netbeans-6.7beta/bin$ ./netbeans --locale en -J-Dorg.netbeans.modules.ruby.debugger.timeout=60 --userdir
~/.netbeans/debug-teste/

java.lang.RuntimeException: org.rubyforge.debugcommons.RubyDebuggerException: Cannot connect to the debugged process in 60s:

Dumping and destroying process, when the debuggee process is running. You might try to increase the timeout. Killing...

Error Output: 
Fast Debugger (ruby-debug-ide 0.4.4) listens on localhost:36360
        at org.netbeans.modules.ruby.debugger.RubyDebugger.debug(RubyDebugger.java:149)
        at org.netbeans.modules.ruby.platform.execution.RubyProcessCreator.call(RubyProcessCreator.java:121)
        at org.netbeans.modules.ruby.platform.execution.RubyProcessCreator.call(RubyProcessCreator.java:66)
        at org.netbeans.api.extexecution.ExecutionService$3.call(ExecutionService.java:254)
        at org.netbeans.api.extexecution.ExecutionService$3.call(ExecutionService.java:230)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:619)
org.rubyforge.debugcommons.RubyDebuggerException: Cannot connect to the debugged process in 60s:

Dumping and destroying process, when the debuggee process is running. You might try to increase the timeout. Killing...

Error Output: 
Fast Debugger (ruby-debug-ide 0.4.4) listens on localhost:36360
        at org.rubyforge.debugcommons.RubyDebuggerProxy.failWithInfo(RubyDebuggerProxy.java:527)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:502)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.getCommandSocket(RubyDebuggerProxy.java:319)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attachToRubyDebug(RubyDebuggerProxy.java:161)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:124)
        at org.netbeans.modules.ruby.debugger.RubyDebugger.debug(RubyDebugger.java:139)
        at org.netbeans.modules.ruby.platform.execution.RubyProcessCreator.call(RubyProcessCreator.java:121)
        at org.netbeans.modules.ruby.platform.execution.RubyProcessCreator.call(RubyProcessCreator.java:66)
        at org.netbeans.api.extexecution.ExecutionService$3.call(ExecutionService.java:254)
        at org.netbeans.api.extexecution.ExecutionService$3.call(ExecutionService.java:230)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:619)
java.net.ConnectException: Conex�o recusada
        at java.net.PlainSocketImpl.socketConnect(PlainSocketImpl.java:0)
        at java.net.PlainSocketImpl.doConnect(PlainSocketImpl.java:333)
        at java.net.PlainSocketImpl.connectToAddress(PlainSocketImpl.java:195)
        at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:182)
        at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:366)
        at java.net.Socket.connect(Socket.java:519)
        at java.net.Socket.connect(Socket.java:469)
        at java.net.Socket.(Socket.java:366)
        at java.net.Socket.(Socket.java:180)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:494)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.getCommandSocket(RubyDebuggerProxy.java:319)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attachToRubyDebug(RubyDebuggerProxy.java:161)
        at org.rubyforge.debugcommons.RubyDebuggerProxy.attach(RubyDebuggerProxy.java:124)
        at org.netbeans.modules.ruby.debugger.RubyDebugger.debug(RubyDebugger.java:139)
        at org.netbeans.modules.ruby.platform.execution.RubyProcessCreator.call(RubyProcessCreator.java:121)
        at org.netbeans.modules.ruby.platform.execution.RubyProcessCreator.call(RubyProcessCreator.java:66)
        at org.netbeans.api.extexecution.ExecutionService$3.call(ExecutionService.java:254)
        at org.netbeans.api.extexecution.ExecutionService$3.call(ExecutionService.java:230)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:619)

        
Comment 30 tuping 2009-05-21 16:02:25 UTC
Emononen,

I made a test using tcpdump (maybe it helps...)

What I did? 
I opened a terminal with rdebug:
rdebug-ide _0.4.4_ -p 47588 -d -- lib/main.rb

Then I tried to connect with telnet and succeeded:
11:50:47.818834 IP6 localhost.34329 > localhost.47588: S 2367140746:2367140746(0) win 32752 <mss 16376,sackOK,timestamp
3101017 0,[|tcp]>
11:50:47.818864 IP6 localhost.47588 > localhost.34329: S 2357579002:2357579002(0) ack 2367140747 win 32728 <mss
16376,sackOK,timestamp 3101017 3101017,[|tcp]>
11:50:47.818892 IP6 localhost.34329 > localhost.47588: . ack 1 win 512 <nop,nop,timestamp 3101017 3101017>
11:51:08.273609 IP6 localhost.34329 > localhost.47588: P 1:8(7) ack 1 win 512 <nop,nop,timestamp 3106130 3101017>
11:51:08.273638 IP6 localhost.47588 > localhost.34329: . ack 8 win 512 <nop,nop,timestamp 3106130 3106130>
11:51:08.274509 IP6 localhost.47588 > localhost.34329: F 1:1(0) ack 8 win 512 <nop,nop,timestamp 3106131 3106130>
11:51:08.278304 IP6 localhost.34329 > localhost.47588: . ack 2 win 512 <nop,nop,timestamp 3106132 3106131>
11:51:08.278633 IP6 localhost.34329 > localhost.47588: F 8:8(0) ack 2 win 512 <nop,nop,timestamp 3106132 3106131>
11:51:08.278654 IP6 localhost.47588 > localhost.34329: . ack 9 win 512 <nop,nop,timestamp 3106132 3106132>

Then I made the same, with the "attached debugger" on Netbeans and it did not succeed:

11:51:30.495938 IP localhost.48038 > localhost.47588: S 2817545612:2817545612(0) win 32792 <mss 16396,sackOK,timestamp
3111686 0,nop,wscale 6>
11:51:30.495957 IP localhost.47588 > localhost.48038: R 0:0(0) ack 2817545613 win 0
11:51:30.997330 IP localhost.48040 > localhost.47588: S 2819819573:2819819573(0) win 32792 <mss 16396,sackOK,timestamp
3111812 0,nop,wscale 6>
11:51:30.997353 IP localhost.47588 > localhost.48040: R 0:0(0) ack 2819819574 win 0
11:51:31.498515 IP localhost.48041 > localhost.47588: S 2834584435:2834584435(0) win 32792 <mss 16396,sackOK,timestamp
3111937 0,nop,wscale 6>
11:51:31.498539 IP localhost.47588 > localhost.48041: R 0:0(0) ack 2834584436 win 0
11:51:31.999736 IP localhost.48042 > localhost.47588: S 2834416487:2834416487(0) win 32792 <mss 16396,sackOK,timestamp
3112062 0,nop,wscale 6>
11:51:31.999759 IP localhost.47588 > localhost.48042: R 0:0(0) ack 2834416488 win 0
11:51:32.501240 IP localhost.48043 > localhost.47588: S 2844660070:2844660070(0) win 32792 <mss 16396,sackOK,timestamp
3112187 0,nop,wscale 6>
11:51:32.501263 IP localhost.47588 > localhost.48043: R 0:0(0) ack 2844660071 win 0
11:51:33.002645 IP localhost.48044 > localhost.47588: S 2847366826:2847366826(0) win 32792 <mss 16396,sackOK,timestamp
3112313 0,nop,wscale 6>
11:51:33.002667 IP localhost.47588 > localhost.48044: R 0:0(0) ack 2847366827 win 0
11:51:33.503876 IP localhost.48045 > localhost.47588: S 2857290854:2857290854(0) win 32792 <mss 16396,sackOK,timestamp
3112438 0,nop,wscale 6>
11:51:33.503899 IP localhost.47588 > localhost.48045: R 0:0(0) ack 2857290855 win 0
11:51:34.005215 IP localhost.48046 > localhost.47588: S 2861788016:2861788016(0) win 32792 <mss 16396,sackOK,timestamp
3112563 0,nop,wscale 6>
11:51:34.005237 IP localhost.47588 > localhost.48046: R 0:0(0) ack 2861788017 win 0
11:51:34.506592 IP localhost.48047 > localhost.47588: S 2883826216:2883826216(0) win 32792 <mss 16396,sackOK,timestamp
3112689 0,nop,wscale 6>
11:51:34.506614 IP localhost.47588 > localhost.48047: R 0:0(0) ack 2883826217 win 0
11:51:35.008301 IP localhost.48048 > localhost.47588: S 2886693550:2886693550(0) win 32792 <mss 16396,sackOK,timestamp
3112814 0,nop,wscale 6>
11:51:35.008327 IP localhost.47588 > localhost.48048: R 0:0(0) ack 2886693551 win 0
11:51:35.509489 IP localhost.48049 > localhost.47588: S 2897842034:2897842034(0) win 32792 <mss 16396,sackOK,timestamp
3112939 0,nop,wscale 6>
11:51:35.509511 IP localhost.47588 > localhost.48049: R 0:0(0) ack 2897842035 win 0
11:51:36.010784 IP localhost.48050 > localhost.47588: S 2899014231:2899014231(0) win 32792 <mss 16396,sackOK,timestamp
3113065 0,nop,wscale 6>
11:51:36.010808 IP localhost.47588 > localhost.48050: R 0:0(0) ack 2899014232 win 0
11:51:36.512025 IP localhost.48051 > localhost.47588: S 2908669505:2908669505(0) win 32792 <mss 16396,sackOK,timestamp
3113190 0,nop,wscale 6>
11:51:36.512047 IP localhost.47588 > localhost.48051: R 0:0(0) ack 2908669506 win 0
11:51:37.012894 IP localhost.48052 > localhost.47588: S 2919777380:2919777380(0) win 32792 <mss 16396,sackOK,timestamp
3113315 0,nop,wscale 6>
11:51:37.012905 IP localhost.47588 > localhost.48052: R 0:0(0) ack 2919777381 win 0
11:51:37.514016 IP localhost.48053 > localhost.47588: S 2927472554:2927472554(0) win 32792 <mss 16396,sackOK,timestamp
3113441 0,nop,wscale 6>
11:51:37.514040 IP localhost.47588 > localhost.48053: R 0:0(0) ack 2927472555 win 0
11:51:38.016411 IP localhost.48054 > localhost.47588: S 2935339753:2935339753(0) win 32792 <mss 16396,sackOK,timestamp
3113566 0,nop,wscale 6>
11:51:38.016437 IP localhost.47588 > localhost.48054: R 0:0(0) ack 2935339754 win 0
11:51:38.517698 IP localhost.48055 > localhost.47588: S 2946069597:2946069597(0) win 32792 <mss 16396,sackOK,timestamp
3113691 0,nop,wscale 6>
11:51:38.517722 IP localhost.47588 > localhost.48055: R 0:0(0) ack 2946069598 win 0
11:51:39.018907 IP localhost.48056 > localhost.47588: S 2942668193:2942668193(0) win 32792 <mss 16396,sackOK,timestamp
3113817 0,nop,wscale 6>
11:51:39.018930 IP localhost.47588 > localhost.48056: R 0:0(0) ack 2942668194 win 0
11:51:39.529257 IP localhost.48057 > localhost.47588: S 2958382951:2958382951(0) win 32792 <mss 16396,sackOK,timestamp
3113944 0,nop,wscale 6>
11:51:39.529281 IP localhost.47588 > localhost.48057: R 0:0(0) ack 2958382952 win 0
11:51:40.030552 IP localhost.48058 > localhost.47588: S 2958349359:2958349359(0) win 32792 <mss 16396,sackOK,timestamp
3114070 0,nop,wscale 6>
11:51:40.030575 IP localhost.47588 > localhost.48058: R 0:0(0) ack 2958349360 win 0
11:51:40.532254 IP localhost.48059 > localhost.47588: S 2971589289:2971589289(0) win 32792 <mss 16396,sackOK,timestamp
3114195 0,nop,wscale 6>
11:51:40.532279 IP localhost.47588 > localhost.48059: R 0:0(0) ack 2971589290 win 0
11:51:41.033576 IP localhost.48061 > localhost.47588: S 2980195293:2980195293(0) win 32792 <mss 16396,sackOK,timestamp
3114320 0,nop,wscale 6>
11:51:41.033595 IP localhost.47588 > localhost.48061: R 0:0(0) ack 2980195294 win 0
11:51:41.534362 IP localhost.48062 > localhost.47588: S 2984026511:2984026511(0) win 32792 <mss 16396,sackOK,timestamp
3114446 0,nop,wscale 6>
11:51:41.534374 IP localhost.47588 > localhost.48062: R 0:0(0) ack 2984026512 win 0
11:51:42.035830 IP localhost.48063 > localhost.47588: S 3003238691:3003238691(0) win 32792 <mss 16396,sackOK,timestamp
3114571 0,nop,wscale 6>
11:51:42.035854 IP localhost.47588 > localhost.48063: R 0:0(0) ack 3003238692 win 0
11:51:42.537499 IP localhost.48064 > localhost.47588: S 2998850904:2998850904(0) win 32792 <mss 16396,sackOK,timestamp
3114696 0,nop,wscale 6>
11:51:42.537522 IP localhost.47588 > localhost.48064: R 0:0(0) ack 2998850905 win 0
11:51:43.039162 IP localhost.48065 > localhost.47588: S 3008370634:3008370634(0) win 32792 <mss 16396,sackOK,timestamp
3114822 0,nop,wscale 6>
11:51:43.039186 IP localhost.47588 > localhost.48065: R 0:0(0) ack 3008370635 win 0
11:51:43.540571 IP localhost.48066 > localhost.47588: S 3017170275:3017170275(0) win 32792 <mss 16396,sackOK,timestamp
3114947 0,nop,wscale 6>
11:51:43.540594 IP localhost.47588 > localhost.48066: R 0:0(0) ack 3017170276 win 0
11:51:44.041836 IP localhost.48067 > localhost.47588: S 3020401313:3020401313(0) win 32792 <mss 16396,sackOK,timestamp
3115073 0,nop,wscale 6>
11:51:44.041859 IP localhost.47588 > localhost.48067: R 0:0(0) ack 3020401314 win 0
11:51:44.543449 IP localhost.48068 > localhost.47588: S 3042725662:3042725662(0) win 32792 <mss 16396,sackOK,timestamp
3115198 0,nop,wscale 6>
11:51:44.543473 IP localhost.47588 > localhost.48068: R 0:0(0) ack 3042725663 win 0
11:51:45.044722 IP localhost.48069 > localhost.47588: S 3048427382:3048427382(0) win 32792 <mss 16396,sackOK,timestamp
3115323 0,nop,wscale 6>
11:51:45.044745 IP localhost.47588 > localhost.48069: R 0:0(0) ack 3048427383 win 0


Below, the full output of tcpdump:

rodrigo@e4300:~$ sudo tcpdump -i lo
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on lo, link-type EN10MB (Ethernet), capture size 96 bytes
11:50:47.818834 IP6 localhost.34329 > localhost.47588: S 2367140746:2367140746(0) win 32752 <mss 16376,sackOK,timestamp
3101017 0,[|tcp]>
11:50:47.818864 IP6 localhost.47588 > localhost.34329: S 2357579002:2357579002(0) ack 2367140747 win 32728 <mss
16376,sackOK,timestamp 3101017 3101017,[|tcp]>
11:50:47.818892 IP6 localhost.34329 > localhost.47588: . ack 1 win 512 <nop,nop,timestamp 3101017 3101017>
11:51:08.273609 IP6 localhost.34329 > localhost.47588: P 1:8(7) ack 1 win 512 <nop,nop,timestamp 3106130 3101017>
11:51:08.273638 IP6 localhost.47588 > localhost.34329: . ack 8 win 512 <nop,nop,timestamp 3106130 3106130>
11:51:08.274509 IP6 localhost.47588 > localhost.34329: F 1:1(0) ack 8 win 512 <nop,nop,timestamp 3106131 3106130>
11:51:08.278304 IP6 localhost.34329 > localhost.47588: . ack 2 win 512 <nop,nop,timestamp 3106132 3106131>
11:51:08.278633 IP6 localhost.34329 > localhost.47588: F 8:8(0) ack 2 win 512 <nop,nop,timestamp 3106132 3106131>
11:51:08.278654 IP6 localhost.47588 > localhost.34329: . ack 9 win 512 <nop,nop,timestamp 3106132 3106132>
11:51:30.495938 IP localhost.48038 > localhost.47588: S 2817545612:2817545612(0) win 32792 <mss 16396,sackOK,timestamp
3111686 0,nop,wscale 6>
11:51:30.495957 IP localhost.47588 > localhost.48038: R 0:0(0) ack 2817545613 win 0
11:51:30.997330 IP localhost.48040 > localhost.47588: S 2819819573:2819819573(0) win 32792 <mss 16396,sackOK,timestamp
3111812 0,nop,wscale 6>
11:51:30.997353 IP localhost.47588 > localhost.48040: R 0:0(0) ack 2819819574 win 0
11:51:31.498515 IP localhost.48041 > localhost.47588: S 2834584435:2834584435(0) win 32792 <mss 16396,sackOK,timestamp
3111937 0,nop,wscale 6>
11:51:31.498539 IP localhost.47588 > localhost.48041: R 0:0(0) ack 2834584436 win 0
11:51:31.999736 IP localhost.48042 > localhost.47588: S 2834416487:2834416487(0) win 32792 <mss 16396,sackOK,timestamp
3112062 0,nop,wscale 6>
11:51:31.999759 IP localhost.47588 > localhost.48042: R 0:0(0) ack 2834416488 win 0
11:51:32.501240 IP localhost.48043 > localhost.47588: S 2844660070:2844660070(0) win 32792 <mss 16396,sackOK,timestamp
3112187 0,nop,wscale 6>
11:51:32.501263 IP localhost.47588 > localhost.48043: R 0:0(0) ack 2844660071 win 0
11:51:33.002645 IP localhost.48044 > localhost.47588: S 2847366826:2847366826(0) win 32792 <mss 16396,sackOK,timestamp
3112313 0,nop,wscale 6>
11:51:33.002667 IP localhost.47588 > localhost.48044: R 0:0(0) ack 2847366827 win 0
11:51:33.503876 IP localhost.48045 > localhost.47588: S 2857290854:2857290854(0) win 32792 <mss 16396,sackOK,timestamp
3112438 0,nop,wscale 6>
11:51:33.503899 IP localhost.47588 > localhost.48045: R 0:0(0) ack 2857290855 win 0
11:51:34.005215 IP localhost.48046 > localhost.47588: S 2861788016:2861788016(0) win 32792 <mss 16396,sackOK,timestamp
3112563 0,nop,wscale 6>
11:51:34.005237 IP localhost.47588 > localhost.48046: R 0:0(0) ack 2861788017 win 0
11:51:34.506592 IP localhost.48047 > localhost.47588: S 2883826216:2883826216(0) win 32792 <mss 16396,sackOK,timestamp
3112689 0,nop,wscale 6>
11:51:34.506614 IP localhost.47588 > localhost.48047: R 0:0(0) ack 2883826217 win 0
11:51:35.008301 IP localhost.48048 > localhost.47588: S 2886693550:2886693550(0) win 32792 <mss 16396,sackOK,timestamp
3112814 0,nop,wscale 6>
11:51:35.008327 IP localhost.47588 > localhost.48048: R 0:0(0) ack 2886693551 win 0
11:51:35.509489 IP localhost.48049 > localhost.47588: S 2897842034:2897842034(0) win 32792 <mss 16396,sackOK,timestamp
3112939 0,nop,wscale 6>
11:51:35.509511 IP localhost.47588 > localhost.48049: R 0:0(0) ack 2897842035 win 0
11:51:36.010784 IP localhost.48050 > localhost.47588: S 2899014231:2899014231(0) win 32792 <mss 16396,sackOK,timestamp
3113065 0,nop,wscale 6>
11:51:36.010808 IP localhost.47588 > localhost.48050: R 0:0(0) ack 2899014232 win 0
11:51:36.512025 IP localhost.48051 > localhost.47588: S 2908669505:2908669505(0) win 32792 <mss 16396,sackOK,timestamp
3113190 0,nop,wscale 6>
11:51:36.512047 IP localhost.47588 > localhost.48051: R 0:0(0) ack 2908669506 win 0
11:51:37.012894 IP localhost.48052 > localhost.47588: S 2919777380:2919777380(0) win 32792 <mss 16396,sackOK,timestamp
3113315 0,nop,wscale 6>
11:51:37.012905 IP localhost.47588 > localhost.48052: R 0:0(0) ack 2919777381 win 0
11:51:37.514016 IP localhost.48053 > localhost.47588: S 2927472554:2927472554(0) win 32792 <mss 16396,sackOK,timestamp
3113441 0,nop,wscale 6>
11:51:37.514040 IP localhost.47588 > localhost.48053: R 0:0(0) ack 2927472555 win 0
11:51:38.016411 IP localhost.48054 > localhost.47588: S 2935339753:2935339753(0) win 32792 <mss 16396,sackOK,timestamp
3113566 0,nop,wscale 6>
11:51:38.016437 IP localhost.47588 > localhost.48054: R 0:0(0) ack 2935339754 win 0
11:51:38.517698 IP localhost.48055 > localhost.47588: S 2946069597:2946069597(0) win 32792 <mss 16396,sackOK,timestamp
3113691 0,nop,wscale 6>
11:51:38.517722 IP localhost.47588 > localhost.48055: R 0:0(0) ack 2946069598 win 0
11:51:39.018907 IP localhost.48056 > localhost.47588: S 2942668193:2942668193(0) win 32792 <mss 16396,sackOK,timestamp
3113817 0,nop,wscale 6>
11:51:39.018930 IP localhost.47588 > localhost.48056: R 0:0(0) ack 2942668194 win 0
11:51:39.529257 IP localhost.48057 > localhost.47588: S 2958382951:2958382951(0) win 32792 <mss 16396,sackOK,timestamp
3113944 0,nop,wscale 6>
11:51:39.529281 IP localhost.47588 > localhost.48057: R 0:0(0) ack 2958382952 win 0
11:51:40.030552 IP localhost.48058 > localhost.47588: S 2958349359:2958349359(0) win 32792 <mss 16396,sackOK,timestamp
3114070 0,nop,wscale 6>
11:51:40.030575 IP localhost.47588 > localhost.48058: R 0:0(0) ack 2958349360 win 0
11:51:40.532254 IP localhost.48059 > localhost.47588: S 2971589289:2971589289(0) win 32792 <mss 16396,sackOK,timestamp
3114195 0,nop,wscale 6>
11:51:40.532279 IP localhost.47588 > localhost.48059: R 0:0(0) ack 2971589290 win 0
11:51:41.033576 IP localhost.48061 > localhost.47588: S 2980195293:2980195293(0) win 32792 <mss 16396,sackOK,timestamp
3114320 0,nop,wscale 6>
11:51:41.033595 IP localhost.47588 > localhost.48061: R 0:0(0) ack 2980195294 win 0
11:51:41.534362 IP localhost.48062 > localhost.47588: S 2984026511:2984026511(0) win 32792 <mss 16396,sackOK,timestamp
3114446 0,nop,wscale 6>
11:51:41.534374 IP localhost.47588 > localhost.48062: R 0:0(0) ack 2984026512 win 0
11:51:42.035830 IP localhost.48063 > localhost.47588: S 3003238691:3003238691(0) win 32792 <mss 16396,sackOK,timestamp
3114571 0,nop,wscale 6>
11:51:42.035854 IP localhost.47588 > localhost.48063: R 0:0(0) ack 3003238692 win 0
11:51:42.537499 IP localhost.48064 > localhost.47588: S 2998850904:2998850904(0) win 32792 <mss 16396,sackOK,timestamp
3114696 0,nop,wscale 6>
11:51:42.537522 IP localhost.47588 > localhost.48064: R 0:0(0) ack 2998850905 win 0
11:51:43.039162 IP localhost.48065 > localhost.47588: S 3008370634:3008370634(0) win 32792 <mss 16396,sackOK,timestamp
3114822 0,nop,wscale 6>
11:51:43.039186 IP localhost.47588 > localhost.48065: R 0:0(0) ack 3008370635 win 0
11:51:43.540571 IP localhost.48066 > localhost.47588: S 3017170275:3017170275(0) win 32792 <mss 16396,sackOK,timestamp
3114947 0,nop,wscale 6>
11:51:43.540594 IP localhost.47588 > localhost.48066: R 0:0(0) ack 3017170276 win 0
11:51:44.041836 IP localhost.48067 > localhost.47588: S 3020401313:3020401313(0) win 32792 <mss 16396,sackOK,timestamp
3115073 0,nop,wscale 6>
11:51:44.041859 IP localhost.47588 > localhost.48067: R 0:0(0) ack 3020401314 win 0
11:51:44.543449 IP localhost.48068 > localhost.47588: S 3042725662:3042725662(0) win 32792 <mss 16396,sackOK,timestamp
3115198 0,nop,wscale 6>
11:51:44.543473 IP localhost.47588 > localhost.48068: R 0:0(0) ack 3042725663 win 0
11:51:45.044722 IP localhost.48069 > localhost.47588: S 3048427382:3048427382(0) win 32792 <mss 16396,sackOK,timestamp
3115323 0,nop,wscale 6>
11:51:45.044745 IP localhost.47588 > localhost.48069: R 0:0(0) ack 3048427383 win 0
Comment 31 Erno Mononen 2009-05-22 08:36:33 UTC
Thanks, that's helpful. I think the next step is to try connecting to the debugger from a standalone Java app and see 
whether that works. I'll write such a simple tester app and attach it here.
Comment 32 Erno Mononen 2009-05-22 09:13:24 UTC
Created attachment 82609 [details]
tester app
Comment 33 Erno Mononen 2009-05-22 09:16:29 UTC
Please try the attached app with the following steps:

1. start the debugger: rdebug-ide _0.4.4_ -p 47588 -d -- lib/main.rb
2. run the attached app: java -jar AttachToDebugger.jar 

The app tries to connect to localhost:47588, the timeout being 30 seconds. Please paste the output here then.
Comment 34 tuping 2009-05-22 17:01:05 UTC
Hello emononen,

The test didn't succeed. Here goes the outputs...

Terminal 1:
~/Projetos/teste-debug$ rdebug-ide _0.4.4 -p 47588 -- lib/main.rb Fast Debugger (ruby-debug-ide 0.4.4) listens on
localhost:47588

Terminal 2:
~/Downloads$ java -jar AttachToDebugger.jar 
Connecting to localhost:47588

Terminal 3 (tcpdump):
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on lo, link-type EN10MB (Ethernet), capture size 96 bytes
12:57:28.146743 IP6 localhost.58888 > localhost.57050: S 1578493479:1578493479(0) win 32752 <mss 16376,sackOK,timestamp
232051 0,[|tcp]>
12:57:28.146776 IP6 localhost.57050 > localhost.58888: S 1590394802:1590394802(0) ack 1578493480 win 32728 <mss
16376,sackOK,timestamp 232051 232051,[|tcp]>
12:57:28.146804 IP6 localhost.58888 > localhost.57050: . ack 1 win 512 <nop,nop,timestamp 232051 232051>
12:57:28.147457 IP6 localhost.58888 > localhost.57050: F 1:1(0) ack 1 win 512 <nop,nop,timestamp 232051 232051>
12:57:28.147608 IP6 localhost.57050 > localhost.58888: F 1:1(0) ack 2 win 512 <nop,nop,timestamp 232051 232051>
12:57:28.147632 IP6 localhost.58888 > localhost.57050: . ack 2 win 512 <nop,nop,timestamp 232051 232051>
12:57:28.161025 IP localhost.39879 > localhost.47588: S 970621225:970621225(0) win 32792 <mss 16396,sackOK,timestamp
232054 0,nop,wscale 6>
12:57:28.161046 IP localhost.47588 > localhost.39879: R 0:0(0) ack 970621226 win 0
12:57:28.662627 IP localhost.39880 > localhost.47588: S 985604304:985604304(0) win 32792 <mss 16396,sackOK,timestamp
232180 0,nop,wscale 6>
12:57:28.662650 IP localhost.47588 > localhost.39880: R 0:0(0) ack 985604305 win 0
12:57:29.163602 IP localhost.39881 > localhost.47588: S 992345358:992345358(0) win 32792 <mss 16396,sackOK,timestamp
232305 0,nop,wscale 6>
12:57:29.163626 IP localhost.47588 > localhost.39881: R 0:0(0) ack 992345359 win 0
12:57:29.664703 IP localhost.39882 > localhost.47588: S 995868944:995868944(0) win 32792 <mss 16396,sackOK,timestamp
232430 0,nop,wscale 6>
12:57:29.664728 IP localhost.47588 > localhost.39882: R 0:0(0) ack 995868945 win 0
12:57:30.165793 IP localhost.39883 > localhost.47588: S 1001115310:1001115310(0) win 32792 <mss 16396,sackOK,timestamp
232555 0,nop,wscale 6>
12:57:30.165817 IP localhost.47588 > localhost.39883: R 0:0(0) ack 1001115311 win 0
12:57:30.666442 IP localhost.39884 > localhost.47588: S 1009965774:1009965774(0) win 32792 <mss 16396,sackOK,timestamp
232680 0,nop,wscale 6>
12:57:30.666453 IP localhost.47588 > localhost.39884: R 0:0(0) ack 1009965775 win 0
12:57:31.167182 IP localhost.39885 > localhost.47588: S 1015510750:1015510750(0) win 32792 <mss 16396,sackOK,timestamp
232806 0,nop,wscale 6>
12:57:31.167206 IP localhost.47588 > localhost.39885: R 0:0(0) ack 1015510751 win 0
12:57:31.668167 IP localhost.39886 > localhost.47588: S 1021434625:1021434625(0) win 32792 <mss 16396,sackOK,timestamp
232931 0,nop,wscale 6>
12:57:31.668190 IP localhost.47588 > localhost.39886: R 0:0(0) ack 1021434626 win 0
12:57:32.169195 IP localhost.39887 > localhost.47588: S 1030102608:1030102608(0) win 32792 <mss 16396,sackOK,timestamp
233056 0,nop,wscale 6>
12:57:32.169219 IP localhost.47588 > localhost.39887: R 0:0(0) ack 1030102609 win 0
12:57:32.670119 IP localhost.39888 > localhost.47588: S 1034448763:1034448763(0) win 32792 <mss 16396,sackOK,timestamp
233182 0,nop,wscale 6>
12:57:32.670141 IP localhost.47588 > localhost.39888: R 0:0(0) ack 1034448764 win 0
12:57:33.171132 IP localhost.39889 > localhost.47588: S 1045213505:1045213505(0) win 32792 <mss 16396,sackOK,timestamp
233307 0,nop,wscale 6>
12:57:33.171156 IP localhost.47588 > localhost.39889: R 0:0(0) ack 1045213506 win 0
12:57:33.672210 IP localhost.39890 > localhost.47588: S 1059152971:1059152971(0) win 32792 <mss 16396,sackOK,timestamp
233432 0,nop,wscale 6>
12:57:33.672234 IP localhost.47588 > localhost.39890: R 0:0(0) ack 1059152972 win 0
12:57:34.173141 IP localhost.39891 > localhost.47588: S 1068049240:1068049240(0) win 32792 <mss 16396,sackOK,timestamp
233557 0,nop,wscale 6>
12:57:34.173164 IP localhost.47588 > localhost.39891: R 0:0(0) ack 1068049241 win 0
12:57:34.674230 IP localhost.39892 > localhost.47588: S 1076410911:1076410911(0) win 32792 <mss 16396,sackOK,timestamp
233682 0,nop,wscale 6>
12:57:34.674253 IP localhost.47588 > localhost.39892: R 0:0(0) ack 1076410912 win 0
12:57:35.175322 IP localhost.39893 > localhost.47588: S 1075980382:1075980382(0) win 32792 <mss 16396,sackOK,timestamp
233808 0,nop,wscale 6>
12:57:35.175348 IP localhost.47588 > localhost.39893: R 0:0(0) ack 1075980383 win 0
12:57:35.676434 IP localhost.39894 > localhost.47588: S 1092709690:1092709690(0) win 32792 <mss 16396,sackOK,timestamp
233933 0,nop,wscale 6>
12:57:35.676457 IP localhost.47588 > localhost.39894: R 0:0(0) ack 1092709691 win 0
12:57:36.177421 IP localhost.39895 > localhost.47588: S 1091919708:1091919708(0) win 32792 <mss 16396,sackOK,timestamp
234058 0,nop,wscale 6>
12:57:36.177445 IP localhost.47588 > localhost.39895: R 0:0(0) ack 1091919709 win 0
12:57:36.678448 IP localhost.39896 > localhost.47588: S 1102538716:1102538716(0) win 32792 <mss 16396,sackOK,timestamp
234184 0,nop,wscale 6>
12:57:36.678472 IP localhost.47588 > localhost.39896: R 0:0(0) ack 1102538717 win 0
12:57:37.179640 IP localhost.39897 > localhost.47588: S 1119140958:1119140958(0) win 32792 <mss 16396,sackOK,timestamp
234309 0,nop,wscale 6>
12:57:37.179664 IP localhost.47588 > localhost.39897: R 0:0(0) ack 1119140959 win 0
12:57:37.680809 IP localhost.39898 > localhost.47588: S 1121742775:1121742775(0) win 32792 <mss 16396,sackOK,timestamp
234434 0,nop,wscale 6>
12:57:37.680833 IP localhost.47588 > localhost.39898: R 0:0(0) ack 1121742776 win 0
12:57:38.181764 IP localhost.39899 > localhost.47588: S 1133881075:1133881075(0) win 32792 <mss 16396,sackOK,timestamp
234559 0,nop,wscale 6>
12:57:38.181788 IP localhost.47588 > localhost.39899: R 0:0(0) ack 1133881076 win 0
12:57:38.682804 IP localhost.39900 > localhost.47588: S 1142011252:1142011252(0) win 32792 <mss 16396,sackOK,timestamp
234685 0,nop,wscale 6>
12:57:38.682826 IP localhost.47588 > localhost.39900: R 0:0(0) ack 1142011253 win 0
12:57:39.183729 IP localhost.39901 > localhost.47588: S 1147830260:1147830260(0) win 32792 <mss 16396,sackOK,timestamp
234810 0,nop,wscale 6>
12:57:39.183753 IP localhost.47588 > localhost.39901: R 0:0(0) ack 1147830261 win 0
12:57:39.684907 IP localhost.39902 > localhost.47588: S 1146074944:1146074944(0) win 32792 <mss 16396,sackOK,timestamp
234935 0,nop,wscale 6>
12:57:39.684931 IP localhost.47588 > localhost.39902: R 0:0(0) ack 1146074945 win 0
12:57:40.186123 IP localhost.39903 > localhost.47588: S 1154768938:1154768938(0) win 32792 <mss 16396,sackOK,timestamp
235060 0,nop,wscale 6>
12:57:40.186147 IP localhost.47588 > localhost.39903: R 0:0(0) ack 1154768939 win 0
12:57:40.687259 IP localhost.39904 > localhost.47588: S 1165293002:1165293002(0) win 32792 <mss 16396,sackOK,timestamp
235186 0,nop,wscale 6>
12:57:40.687281 IP localhost.47588 > localhost.39904: R 0:0(0) ack 1165293003 win 0
12:57:41.188418 IP localhost.39905 > localhost.47588: S 1177768927:1177768927(0) win 32792 <mss 16396,sackOK,timestamp
235311 0,nop,wscale 6>
12:57:41.188443 IP localhost.47588 > localhost.39905: R 0:0(0) ack 1177768928 win 0
12:57:41.689634 IP localhost.39906 > localhost.47588: S 1178666242:1178666242(0) win 32792 <mss 16396,sackOK,timestamp
235436 0,nop,wscale 6>
12:57:41.689658 IP localhost.47588 > localhost.39906: R 0:0(0) ack 1178666243 win 0
12:57:42.190717 IP localhost.39907 > localhost.47588: S 1198043703:1198043703(0) win 32792 <mss 16396,sackOK,timestamp
235562 0,nop,wscale 6>
12:57:42.190742 IP localhost.47588 > localhost.39907: R 0:0(0) ack 1198043704 win 0
12:57:42.691941 IP localhost.39908 > localhost.47588: S 1203257826:1203257826(0) win 32792 <mss 16396,sackOK,timestamp
235687 0,nop,wscale 6>
12:57:42.691965 IP localhost.47588 > localhost.39908: R 0:0(0) ack 1203257827 win 0
12:57:43.192990 IP localhost.39909 > localhost.47588: S 1206832136:1206832136(0) win 32792 <mss 16396,sackOK,timestamp
235812 0,nop,wscale 6>
12:57:43.193013 IP localhost.47588 > localhost.39909: R 0:0(0) ack 1206832137 win 0
12:57:43.698730 IP localhost.39910 > localhost.47588: S 1222403249:1222403249(0) win 32792 <mss 16396,sackOK,timestamp
235939 0,nop,wscale 6>
12:57:43.698754 IP localhost.47588 > localhost.39910: R 0:0(0) ack 1222403250 win 0
12:57:44.199606 IP localhost.39911 > localhost.47588: S 1226056009:1226056009(0) win 32792 <mss 16396,sackOK,timestamp
236064 0,nop,wscale 6>
12:57:44.199630 IP localhost.47588 > localhost.39911: R 0:0(0) ack 1226056010 win 0
12:57:44.700505 IP localhost.39912 > localhost.47588: S 1226785217:1226785217(0) win 32792 <mss 16396,sackOK,timestamp
236189 0,nop,wscale 6>
12:57:44.700528 IP localhost.47588 > localhost.39912: R 0:0(0) ack 1226785218 win 0
12:57:45.201369 IP localhost.39913 > localhost.47588: S 1244158303:1244158303(0) win 32792 <mss 16396,sackOK,timestamp
236314 0,nop,wscale 6>
12:57:45.201391 IP localhost.47588 > localhost.39913: R 0:0(0) ack 1244158304 win 0
12:57:45.702329 IP localhost.39914 > localhost.47588: S 1251886328:1251886328(0) win 32792 <mss 16396,sackOK,timestamp
236440 0,nop,wscale 6>
12:57:45.702354 IP localhost.47588 > localhost.39914: R 0:0(0) ack 1251886329 win 0
12:57:46.203834 IP localhost.39915 > localhost.47588: S 1258783539:1258783539(0) win 32792 <mss 16396,sackOK,timestamp
236565 0,nop,wscale 6>
12:57:46.203857 IP localhost.47588 > localhost.39915: R 0:0(0) ack 1258783540 win 0
12:57:46.704786 IP localhost.39916 > localhost.47588: S 1255639438:1255639438(0) win 32792 <mss 16396,sackOK,timestamp
236690 0,nop,wscale 6>
12:57:46.704811 IP localhost.47588 > localhost.39916: R 0:0(0) ack 1255639439 win 0
12:57:47.205724 IP localhost.39917 > localhost.47588: S 1274741618:1274741618(0) win 32792 <mss 16396,sackOK,timestamp
236815 0,nop,wscale 6>
12:57:47.205747 IP localhost.47588 > localhost.39917: R 0:0(0) ack 1274741619 win 0
12:57:47.707408 IP localhost.39918 > localhost.47588: S 1272345639:1272345639(0) win 32792 <mss 16396,sackOK,timestamp
236941 0,nop,wscale 6>
12:57:47.707432 IP localhost.47588 > localhost.39918: R 0:0(0) ack 1272345640 win 0
12:57:48.208199 IP localhost.39919 > localhost.47588: S 1278030681:1278030681(0) win 32792 <mss 16396,sackOK,timestamp
237066 0,nop,wscale 6>
12:57:48.208222 IP localhost.47588 > localhost.39919: R 0:0(0) ack 1278030682 win 0
12:57:48.709158 IP localhost.39920 > localhost.47588: S 1288477075:1288477075(0) win 32792 <mss 16396,sackOK,timestamp
237191 0,nop,wscale 6>
12:57:48.709180 IP localhost.47588 > localhost.39920: R 0:0(0) ack 1288477076 win 0
12:57:49.210111 IP localhost.39921 > localhost.47588: S 1302216163:1302216163(0) win 32792 <mss 16396,sackOK,timestamp
237317 0,nop,wscale 6>
12:57:49.210134 IP localhost.47588 > localhost.39921: R 0:0(0) ack 1302216164 win 0
12:57:49.712524 IP localhost.39922 > localhost.47588: S 1312305224:1312305224(0) win 32792 <mss 16396,sackOK,timestamp
237442 0,nop,wscale 6>
12:57:49.712548 IP localhost.47588 > localhost.39922: R 0:0(0) ack 1312305225 win 0
12:57:50.213516 IP localhost.39923 > localhost.47588: S 1321231554:1321231554(0) win 32792 <mss 16396,sackOK,timestamp
237567 0,nop,wscale 6>
12:57:50.213539 IP localhost.47588 > localhost.39923: R 0:0(0) ack 1321231555 win 0
12:57:50.714445 IP localhost.39924 > localhost.47588: S 1332165161:1332165161(0) win 32792 <mss 16396,sackOK,timestamp
237693 0,nop,wscale 6>
12:57:50.714468 IP localhost.47588 > localhost.39924: R 0:0(0) ack 1332165162 win 0
12:57:51.215396 IP localhost.39925 > localhost.47588: S 1330433699:1330433699(0) win 32792 <mss 16396,sackOK,timestamp
237818 0,nop,wscale 6>
12:57:51.215421 IP localhost.47588 > localhost.39925: R 0:0(0) ack 1330433700 win 0
^C
100 packets captured
200 packets received by filter
0 packets dropped by kernel

I noticed that your application seens to use a different IP version compared to Netbeans. When I start Netbeans, it
tries to connect using IPv6 (tcpdump shows me that). The ruby debugger uses IPv4... I don't know if it helps you, but
maybe you can try using another Java IP library (is it possible?).

Regards,
Rodrigo.
Comment 35 Erno Mononen 2009-05-25 15:47:19 UTC
So maybe we can test whether it is a ipv6 issue, please run the tester app as follows:

java -Djava.net.preferIPv6Addresses=false -Djava.net.preferIPv4Stack=true -jar AttachToDebugger.jar 

If this works, add the following properties to netbeans_default_options <nb_install_dir>/etc/netbeans.conf

-Djava.net.preferIPv6Addresses=false -Djava.net.preferIPv4Stack=true

And give the NB debugger a try. Let me if that helps!
Comment 36 tuping 2009-05-25 16:39:21 UTC
Hello emononen,

It didn't work:

Terminal 1:
java -Djava.net.preferIPv6Addresses=false -Djava.net.preferIPv4Stack=true -jar AttachToDebugger.jar
Connecting to localhost:47588

Terminal 2
java -Djava.net.preferIPv6Addresses=false -Djava.net.preferIPv4Stack=true -jar AttachToDebugger.jar
Connecting to localhost:47588

TCPDUMP:
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on lo, link-type EN10MB (Ethernet), capture size 96 bytes
12:34:32.005225 IP localhost.50863 > localhost.54658: S 2260736604:2260736604(0) win 32792 <mss 16396,sackOK,timestamp
6889343 0,nop,wscale 6>
12:34:32.005239 IP localhost.54658 > localhost.50863: S 2268272505:2268272505(0) ack 2260736605 win 32768 <mss
16396,sackOK,timestamp 6889343 6889343,nop,wscale 6>
12:34:32.005250 IP localhost.50863 > localhost.54658: . ack 1 win 513 <nop,nop,timestamp 6889343 6889343>
12:34:32.005368 IP localhost.50863 > localhost.54658: F 1:1(0) ack 1 win 513 <nop,nop,timestamp 6889343 6889343>
12:34:32.005378 IP localhost.54658 > localhost.50863: F 1:1(0) ack 2 win 512 <nop,nop,timestamp 6889343 6889343>
12:34:32.005385 IP localhost.50863 > localhost.54658: . ack 2 win 513 <nop,nop,timestamp 6889343 6889343>
12:34:32.020073 IP localhost.35346 > localhost.47588: S 2272319552:2272319552(0) win 32792 <mss 16396,sackOK,timestamp
6889347 0,nop,wscale 6>
12:34:32.020084 IP localhost.47588 > localhost.35346: R 0:0(0) ack 2272319553 win 0
12:34:32.521028 IP localhost.35347 > localhost.47588: S 2273060557:2273060557(0) win 32792 <mss 16396,sackOK,timestamp
6889472 0,nop,wscale 6>
12:34:32.521050 IP localhost.47588 > localhost.35347: R 0:0(0) ack 2273060558 win 0
12:34:33.022892 IP localhost.35348 > localhost.47588: S 2281451435:2281451435(0) win 32792 <mss 16396,sackOK,timestamp
6889598 0,nop,wscale 6>
12:34:33.022916 IP localhost.47588 > localhost.35348: R 0:0(0) ack 2281451436 win 0
12:34:33.523809 IP localhost.35349 > localhost.47588: S 2295664716:2295664716(0) win 32792 <mss 16396,sackOK,timestamp
6889723 0,nop,wscale 6>
12:34:33.523833 IP localhost.47588 > localhost.35349: R 0:0(0) ack 2295664717 win 0
12:34:34.024790 IP localhost.35350 > localhost.47588: S 2305945958:2305945958(0) win 32792 <mss 16396,sackOK,timestamp
6889848 0,nop,wscale 6>
12:34:34.024814 IP localhost.47588 > localhost.35350: R 0:0(0) ack 2305945959 win 0
12:34:34.525810 IP localhost.35351 > localhost.47588: S 2298755737:2298755737(0) win 32792 <mss 16396,sackOK,timestamp
6889974 0,nop,wscale 6>
12:34:34.525833 IP localhost.47588 > localhost.35351: R 0:0(0) ack 2298755738 win 0
12:34:35.026883 IP localhost.35352 > localhost.47588: S 2316132482:2316132482(0) win 32792 <mss 16396,sackOK,timestamp
6890099 0,nop,wscale 6>
12:34:35.026907 IP localhost.47588 > localhost.35352: R 0:0(0) ack 2316132483 win 0
12:34:35.527827 IP localhost.35353 > localhost.47588: S 2326238821:2326238821(0) win 32792 <mss 16396,sackOK,timestamp
6890224 0,nop,wscale 6>
12:34:35.527851 IP localhost.47588 > localhost.35353: R 0:0(0) ack 2326238822 win 0
12:34:36.028780 IP localhost.35354 > localhost.47588: S 2336732315:2336732315(0) win 32792 <mss 16396,sackOK,timestamp
6890349 0,nop,wscale 6>
12:34:36.028803 IP localhost.47588 > localhost.35354: R 0:0(0) ack 2336732316 win 0
12:34:36.529778 IP localhost.35357 > localhost.47588: S 2331786958:2331786958(0) win 32792 <mss 16396,sackOK,timestamp
6890475 0,nop,wscale 6>
12:34:36.529802 IP localhost.47588 > localhost.35357: R 0:0(0) ack 2331786959 win 0
12:34:37.030992 IP localhost.35358 > localhost.47588: S 2344558042:2344558042(0) win 32792 <mss 16396,sackOK,timestamp
6890600 0,nop,wscale 6>
12:34:37.031017 IP localhost.47588 > localhost.35358: R 0:0(0) ack 2344558043 win 0
12:34:37.532071 IP localhost.35359 > localhost.47588: S 2360238487:2360238487(0) win 32792 <mss 16396,sackOK,timestamp
6890725 0,nop,wscale 6>
12:34:37.532096 IP localhost.47588 > localhost.35359: R 0:0(0) ack 2360238488 win 0
12:34:38.033363 IP localhost.35360 > localhost.47588: S 2357972806:2357972806(0) win 32792 <mss 16396,sackOK,timestamp
6890850 0,nop,wscale 6>
12:34:38.033388 IP localhost.47588 > localhost.35360: R 0:0(0) ack 2357972807 win 0
12:34:38.534419 IP localhost.35361 > localhost.47588: S 2370051083:2370051083(0) win 32792 <mss 16396,sackOK,timestamp
6890976 0,nop,wscale 6>
12:34:38.534443 IP localhost.47588 > localhost.35361: R 0:0(0) ack 2370051084 win 0
12:34:39.035695 IP localhost.35362 > localhost.47588: S 2381227827:2381227827(0) win 32792 <mss 16396,sackOK,timestamp
6891101 0,nop,wscale 6>
12:34:39.035744 IP localhost.47588 > localhost.35362: R 0:0(0) ack 2381227828 win 0
12:34:39.536540 IP localhost.35363 > localhost.47588: S 2384945715:2384945715(0) win 32792 <mss 16396,sackOK,timestamp
6891226 0,nop,wscale 6>
12:34:39.536564 IP localhost.47588 > localhost.35363: R 0:0(0) ack 2384945716 win 0
12:34:40.037501 IP localhost.35364 > localhost.47588: S 2384140885:2384140885(0) win 32792 <mss 16396,sackOK,timestamp
6891351 0,nop,wscale 6>
12:34:40.037544 IP localhost.47588 > localhost.35364: R 0:0(0) ack 2384140886 win 0
12:34:40.538549 IP localhost.35365 > localhost.47588: S 2396796010:2396796010(0) win 32792 <mss 16396,sackOK,timestamp
6891477 0,nop,wscale 6>
12:34:40.538574 IP localhost.47588 > localhost.35365: R 0:0(0) ack 2396796011 win 0
12:34:41.039601 IP localhost.35366 > localhost.47588: S 2406944620:2406944620(0) win 32792 <mss 16396,sackOK,timestamp
6891602 0,nop,wscale 6>
12:34:41.039624 IP localhost.47588 > localhost.35366: R 0:0(0) ack 2406944621 win 0
12:34:41.540581 IP localhost.35367 > localhost.47588: S 2421616921:2421616921(0) win 32792 <mss 16396,sackOK,timestamp
6891727 0,nop,wscale 6>
12:34:41.540604 IP localhost.47588 > localhost.35367: R 0:0(0) ack 2421616922 win 0
12:34:42.041635 IP localhost.35368 > localhost.47588: S 2416864342:2416864342(0) win 32792 <mss 16396,sackOK,timestamp
6891853 0,nop,wscale 6>
12:34:42.041657 IP localhost.47588 > localhost.35368: R 0:0(0) ack 2416864343 win 0
12:34:42.542663 IP localhost.35369 > localhost.47588: S 2437629100:2437629100(0) win 32792 <mss 16396,sackOK,timestamp
6891978 0,nop,wscale 6>
12:34:42.542687 IP localhost.47588 > localhost.35369: R 0:0(0) ack 2437629101 win 0
12:34:43.043552 IP localhost.35370 > localhost.47588: S 2433121481:2433121481(0) win 32792 <mss 16396,sackOK,timestamp
6892103 0,nop,wscale 6>
12:34:43.043574 IP localhost.47588 > localhost.35370: R 0:0(0) ack 2433121482 win 0
12:34:43.544568 IP localhost.35371 > localhost.47588: S 2451037899:2451037899(0) win 32792 <mss 16396,sackOK,timestamp
6892228 0,nop,wscale 6>
12:34:43.544592 IP localhost.47588 > localhost.35371: R 0:0(0) ack 2451037900 win 0
12:34:44.045914 IP localhost.35372 > localhost.47588: S 2453664243:2453664243(0) win 32792 <mss 16396,sackOK,timestamp
6892354 0,nop,wscale 6>
12:34:44.045926 IP localhost.47588 > localhost.35372: R 0:0(0) ack 2453664244 win 0
12:34:44.546779 IP localhost.35373 > localhost.47588: S 2461364037:2461364037(0) win 32792 <mss 16396,sackOK,timestamp
6892479 0,nop,wscale 6>
12:34:44.546802 IP localhost.47588 > localhost.35373: R 0:0(0) ack 2461364038 win 0
^C
58 packets captured
116 packets received by filter
0 packets dropped by kernel


BUT, if we invert the parameters, it works!

java -Djava.net.preferIPv6Addresses=true -Djava.net.preferIPv4Stack=false -jar AttachToDebugger.jar
Connecting to localhost:47588
Successfully connected, socket: Socket[addr=localhost/0:0:0:0:0:0:0:1,port=47588,localport=44968]


So, I think it's a IPv4 issue... I think we are close to the solution.
Comment 37 tuping 2009-05-25 17:00:50 UTC
Hello emononen,

I've tested Netbeans 6.5.1 and 6.7beta and both debuggers work if I invoke Netbeans using:

./netbeans --locale en -J-Djava.net.preferIPv6Addresses=true -J-Djava.net.preferIPv4Stack=false

Thanks for your help!

Regards,
Rodrigo.
Comment 38 Erno Mononen 2009-05-26 05:19:37 UTC
Hi Rodrigo,
Glad to hear you figured out the right params and that the problem is now solved! You were right to suspect ip version 
problems; I need to put this info to our wiki for others to see. Thanks for the helpful reports,

Erno 
Comment 39 Tomas Danek 2009-09-15 11:50:42 UTC
Hi Erno, this one can be closed, right?
Comment 40 Erno Mononen 2009-09-15 11:53:06 UTC
Yes, I think we can close this now. I've also added the info to the wiki. 
Comment 41 Oleg Khokhlov 2009-12-25 07:27:26 UTC
v. in 20091224 (at least my case)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo